/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.anlagendarstellung.action;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.PartInitException;

import de.bsvrz.buv.plugin.anlagendarstellung.views.SemiAutomatikUrsachenEinheit;
import de.bsvrz.buv.plugin.anlagendarstellung.views.ZustandsDarstellungIstView;

/**
 * Action zur Anzeige des Rckmeldungs-Fensters {@link ActionSemiAutomatikUrsachenEinheit}
 * 
 * @author Pittner
 *
 */
public class ActionSemiAutomatikUrsachenEinheit implements IWorkbenchWindowActionDelegate
{
  public static String ID = "de.bsvrz.buv.plugin.zustandsdarstellung.zustandsdarstellungActionSemiAutomatikUrsachenEinheit";

  private IWorkbenchWindow _workbenchWindow;

  private void starteViewWithSecondaryId(IWorkbenchPage page) throws PartInitException
  {
    page.showView(SemiAutomatikUrsachenEinheit.ID);
  }

  @Override
  public void dispose()
  {
    // TODO Auto-generated method stub
  }

  @Override
  public void init(IWorkbenchWindow window)
  {
    _workbenchWindow = window;
  }

  @Override
  public void run(IAction action)
  {
    try
    {
      starteViewWithSecondaryId(_workbenchWindow.getActivePage());
    }
    catch (PartInitException e)
    {
      // TODO Auto-generated catch block
      e.printStackTrace();
    }
  }

  @Override
  public void selectionChanged(IAction action, ISelection selection)
  {
  }

}
