/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.anlagendarstellung.figures;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.LineBorder;
import org.eclipse.draw2d.RectangleFigure;
import org.eclipse.draw2d.geometry.Dimension;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;

import de.bsvrz.buv.plugin.anlagendarstellung.FahrStreifenModel;

/**
 * Figure, welche eine Fahrstreifen reprsentiert.               
 * 
 * @author Pittner
 * 
 */
public class FahrstreifenFigure extends RectangleFigure
{
  public FahrstreifenFigure(String name, FahrStreifenModel model)
  {

    setOpaque(false);    

    setBackgroundColor(ColorConstants.gray);
    setBorder(new LineBorder(ColorConstants.gray, 1));

//    setToolTip(new Label(name));

    Point pos = model.getLocation();
    Dimension size = model.getSize();

    setBounds(new Rectangle(pos.x, pos.y, size.width, size.height));
    setLocation(new Point(pos.x, pos.y));
    setSize(size);
  }

  public FahrstreifenFigure(String name)
  {
    setOpaque(false);
    setBackgroundColor(ColorConstants.gray);
    setBorder(new LineBorder(ColorConstants.gray, 1));
//    setToolTip(new Label(name));
  }

  @Override
  protected boolean useLocalCoordinates()
  {
    return true;
  }

}
