/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.anlagendarstellung.figures;

import org.eclipse.draw2d.AbstractBorder;
import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.ToolbarLayout;
import org.eclipse.draw2d.geometry.Insets;
import org.eclipse.draw2d.geometry.Point;

/**
 * Figure, welche die Zeilen der Tabelle der Verkehrsdaten reprsentiert.               
 * 
 * @author Pittner
 * 
 */
public class TabellenMqZeilenFigure extends Figure
{
  public TabellenMqZeilenFigure(boolean flag)
  {
    ToolbarLayout layout = new ToolbarLayout();

    if (flag)
      layout.setMinorAlignment(ToolbarLayout.ALIGN_BOTTOMRIGHT);
    else
      layout.setMinorAlignment(ToolbarLayout.ALIGN_CENTER);

    layout.setStretchMinorAxis(false);
    layout.setSpacing(2);
    setLayoutManager(layout);
    setBorder(new CompartmentFigureBorder());
  }

  public class CompartmentFigureBorder extends AbstractBorder
  {

    public Insets getInsets(IFigure figure)
    {
      return new Insets(1, 0, 0, 0);
    }

    public void paint(IFigure figure, Graphics graphics, Insets insets)
    {

      graphics.setForegroundColor(ColorConstants.gray);

      Point topLeft = getPaintRectangle(figure, insets).getTopLeft();
      Point topRight = tempRect.getTopRight();
      graphics.drawLine(topLeft, topRight);
    }
  }
}
