/**
 * <copyright>
 * </copyright>
 *
 * $Id: AnlagendarstellungPackageImpl.java,v 1.12 2014/07/24 12:42:31 Pittner Exp $
 */
package de.bsvrz.buv.plugin.anlagendarstellung.impl;

import com.bitctrl.lib.eclipse.emf.eclipse.model.EclipsePackage;
import com.bitctrl.lib.eclipse.emf.gef.model.GefPackage;

import de.bsvrz.buv.plugin.anlagendarstellung.AQModelBezeichnung;
import de.bsvrz.buv.plugin.anlagendarstellung.AQModelTypGeneric;
import de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungFactory;
import de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage;
import de.bsvrz.buv.plugin.anlagendarstellung.AnschlussStelleModel;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelA81Lsa;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypA;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypAbstract;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypAs;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypB;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypBAG;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypBlinker;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypC;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypC2;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypD;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypD2;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypD3;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypHell;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypPrg;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypT;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypT2;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypW;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypW1;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypW11;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypW2;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdMessStelleNS;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSbaMessStelleNS;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorFBT;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorFBZ;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorFGB;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorGT;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorHK;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorLT;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorNI;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorNS;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorRLF;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorRS;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorSW;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorTPT;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorTT3;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorWFD;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorWGM;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorWGS;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelUfdSensorWR;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelA81;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelA81Typ1;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelA81Typ2;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelA81Typ3;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelNetzTypAbstract;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp1;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp10A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp10DA8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp11A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp11DA8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp12A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp12DA8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp13A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp14A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp14DA8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp15A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp16A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp16A8B;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp16A8C;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp17A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp17A8B;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp18A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp19A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp1A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp2;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp21A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp22A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp2A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp3;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp3A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp4;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp4A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp5;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp5A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp6;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp6A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp6DA8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp7;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp7A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp7DA8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTyp9A8;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypA14;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypA2_1sp;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypA2_1sp2;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypA2_1sp3;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypA2_3sp;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypA2_3sp2;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypA14_1sp;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypA14_3sp;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeQuerschnittModelTypAbstract;
import de.bsvrz.buv.plugin.anlagendarstellung.DetektorLVE;
import de.bsvrz.buv.plugin.anlagendarstellung.DetektorModelTypAbstract;
import de.bsvrz.buv.plugin.anlagendarstellung.DoModelMitVerbLinie;
import de.bsvrz.buv.plugin.anlagendarstellung.FahrStreifenModel;
import de.bsvrz.buv.plugin.anlagendarstellung.FahrStreifenModelAbstract;
import de.bsvrz.buv.plugin.anlagendarstellung.FreeFormFahrStreifenModel;
import de.bsvrz.buv.plugin.anlagendarstellung.MessQuerschnittModel;
import de.bsvrz.buv.plugin.anlagendarstellung.Picker;
import de.bsvrz.buv.plugin.anlagendarstellung.PickerParent;
import de.bsvrz.buv.plugin.anlagendarstellung.PickerVertical;
import de.bsvrz.buv.plugin.anlagendarstellung.StreckenStationModel;
import de.bsvrz.buv.plugin.anlagendarstellung.StreckenStationModelA14;
import de.bsvrz.buv.plugin.anlagendarstellung.TabelleMqModel;
import de.bsvrz.buv.plugin.anlagendarstellung.UfdMessStelleModel;
import de.bsvrz.buv.plugin.anlagendarstellung.VerhaltenDoTyp;

import de.bsvrz.buv.plugin.dobj.model.DobjPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EGenericType;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class AnlagendarstellungPackageImpl extends EPackageImpl implements AnlagendarstellungPackage
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass doModelMitVerbLinieEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass verhaltenDoTypEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypAsEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass aqModelTypGenericEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass aqModelBezeichnungEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypAbstractEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypAEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypBEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypCEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypC2EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypDEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypD2EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypD3EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypTEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypT2EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypWEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypW1EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypW11EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypW2EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypBAGEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypBlinkerEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypPrgEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelTypHellEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTypAbstractEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelNetzTypAbstractEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp1EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp2EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp3EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp4EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp5EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp6EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp7EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTypA14EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp1A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp2A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp21A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp3A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp4A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp5A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp6A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp6DA8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp7A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp7DA8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp9A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp10A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp10DA8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp11A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp11DA8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp12A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp12DA8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp13A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp14A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp14DA8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp15A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp16A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp16A8BEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp16A8CEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp17A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp17A8BEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp18A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTyp19A8EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass fahrStreifenModelAbstractEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass fahrStreifenModelEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass messQuerschnittModelEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anschlussStelleModelEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass freeFormFahrStreifenModelEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass detektorModelTypAbstractEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass detektorLVEEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass streckenStationModelEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass ufdMessStelleModelEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorFGBEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorFBTEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorFBZEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorGTEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorHKEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorLTEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorNIEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorNSEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorRLFEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorRSEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorSWEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorTPTEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorTT3EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorWFDEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorWGMEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorWGSEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSensorWREClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdSbaMessStelleNSEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelUfdMessStelleNSEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass tabelleMqModelEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass streckenStationModelA14EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelA81EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelA81Typ1EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelA81Typ2EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelA81Typ3EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeModelA81LsaEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTypA2_3spEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTypA2_1spEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTypA2_1sp2EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTypA2_1sp3EClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass pickerEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass pickerVerticalEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass pickerParentEClass = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeQuerschnittModelTypA2_3sp2EClass = null;

  /**
   * Creates an instance of the model <b>Package</b>, registered with
   * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
   * package URI value.
   * <p>Note: the correct way to create the package is via the static
   * factory method {@link #init init()}, which also performs
   * initialization of the package, or returns the registered package,
   * if one already exists.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.ecore.EPackage.Registry
   * @see de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage#eNS_URI
   * @see #init()
   * @generated
   */
  private AnlagendarstellungPackageImpl()
  {
    super(eNS_URI, AnlagendarstellungFactory.eINSTANCE);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static boolean isInited = false;

  /**
   * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
   * 
   * <p>This method is used to initialize {@link AnlagendarstellungPackage#eINSTANCE} when that field is accessed.
   * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #eNS_URI
   * @see #createPackageContents()
   * @see #initializePackageContents()
   * @generated
   */
  public static AnlagendarstellungPackage init()
  {
    if (isInited) return (AnlagendarstellungPackage)EPackage.Registry.INSTANCE.getEPackage(AnlagendarstellungPackage.eNS_URI);

    // Obtain or create and register package
    AnlagendarstellungPackageImpl theAnlagendarstellungPackage = (AnlagendarstellungPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof AnlagendarstellungPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new AnlagendarstellungPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    DobjPackage.eINSTANCE.eClass();

    // Create package meta-data objects
    theAnlagendarstellungPackage.createPackageContents();

    // Initialize created meta-data
    theAnlagendarstellungPackage.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theAnlagendarstellungPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(AnlagendarstellungPackage.eNS_URI, theAnlagendarstellungPackage);
    return theAnlagendarstellungPackage;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getDoModelMitVerbLinie()
  {
    return doModelMitVerbLinieEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getDoModelMitVerbLinie_TargetOf()
  {
    return (EReference)doModelMitVerbLinieEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getDoModelMitVerbLinie_Target()
  {
    return (EReference)doModelMitVerbLinieEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getVerhaltenDoTyp()
  {
    return verhaltenDoTypEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_KontextMenueIdIstZustand()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_KontextMenueIdSollZustand()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_KontextMenueIdHandSchaltung()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_KontextMenueIdSimulation()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_KontextMenueIdTrichter()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_KontextMenueIdParameter()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_DoppelKlickIdIstZustand()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(6);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_DoppelKlickIdSollZustand()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(7);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_DoppelKlickIdHandSchaltung()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(8);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_DoppelKlickIdSimulation()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(9);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_DoppelKlickIdTrichter()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(10);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_DoppelKlickIdParameter()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(11);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_ToolTipIdIstZustand()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(12);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_ToolTipIdSollZustand()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(13);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_ToolTipIdHandSchaltung()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(14);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_ToolTipIdSimulation()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(15);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_ToolTipIdTrichter()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(16);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getVerhaltenDoTyp_ToolTipIdParameter()
  {
    return (EAttribute)verhaltenDoTypEClass.getEStructuralFeatures().get(17);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypAs()
  {
    return anzeigeModelTypAsEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAQModelTypGeneric()
  {
    return aqModelTypGenericEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAQModelTypGeneric_AQName()
  {
    return (EAttribute)aqModelTypGenericEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAQModelTypGeneric_Kontext()
  {
    return (EAttribute)aqModelTypGenericEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAQModelTypGeneric_Anzeigen()
  {
    return (EAttribute)aqModelTypGenericEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAQModelBezeichnung()
  {
    return aqModelBezeichnungEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAQModelBezeichnung_Bezeichnung()
  {
    return (EAttribute)aqModelBezeichnungEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAQModelBezeichnung_Kilometrierung()
  {
    return (EAttribute)aqModelBezeichnungEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAQModelBezeichnung_Kontext()
  {
    return (EAttribute)aqModelBezeichnungEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAQModelBezeichnung_Background()
  {
    return (EAttribute)aqModelBezeichnungEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAQModelBezeichnung_DarstellungUpdate()
  {
    return (EAttribute)aqModelBezeichnungEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypAbstract()
  {
    return anzeigeModelTypAbstractEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Bezeichnung()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Kontext()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Inhalte1()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Inhalte2()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_DataUpdate()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_DarstellungUpdate()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Fahrtrichtung()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(6);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Prioritaet()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(7);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Blinken()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(8);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Blinktakt()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(9);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_Notwendig()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(10);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_AbsolutNotwendig()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(11);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_VerschiebungVorgaenger()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(12);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeModelTypAbstract_VerschiebungNachfolger()
  {
    return (EAttribute)anzeigeModelTypAbstractEClass.getEStructuralFeatures().get(13);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypA()
  {
    return anzeigeModelTypAEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypB()
  {
    return anzeigeModelTypBEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypC()
  {
    return anzeigeModelTypCEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypC2()
  {
    return anzeigeModelTypC2EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypD()
  {
    return anzeigeModelTypDEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypD2()
  {
    return anzeigeModelTypD2EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypD3()
  {
    return anzeigeModelTypD3EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypT()
  {
    return anzeigeModelTypTEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypT2()
  {
    return anzeigeModelTypT2EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypW()
  {
    return anzeigeModelTypWEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypW1()
  {
    return anzeigeModelTypW1EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypW11()
  {
    return anzeigeModelTypW11EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypW2()
  {
    return anzeigeModelTypW2EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypBAG()
  {
    return anzeigeModelTypBAGEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypBlinker()
  {
    return anzeigeModelTypBlinkerEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypPrg()
  {
    return anzeigeModelTypPrgEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelTypHell()
  {
    return anzeigeModelTypHellEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTypAbstract()
  {
    return anzeigeQuerschnittModelTypAbstractEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelTypAbstract_Bezeichnung()
  {
    return (EAttribute)anzeigeQuerschnittModelTypAbstractEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelTypAbstract_Kontext()
  {
    return (EAttribute)anzeigeQuerschnittModelTypAbstractEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelTypAbstract_Fahrtrichtung()
  {
    return (EAttribute)anzeigeQuerschnittModelTypAbstractEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelTypAbstract_DataUpdate()
  {
    return (EAttribute)anzeigeQuerschnittModelTypAbstractEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelTypAbstract_DarstellungUpdate()
  {
    return (EAttribute)anzeigeQuerschnittModelTypAbstractEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelNetzTypAbstract()
  {
    return anzeigeQuerschnittModelNetzTypAbstractEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelNetzTypAbstract_Bezeichnung()
  {
    return (EAttribute)anzeigeQuerschnittModelNetzTypAbstractEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelNetzTypAbstract_Kontext()
  {
    return (EAttribute)anzeigeQuerschnittModelNetzTypAbstractEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelNetzTypAbstract_Fahrtrichtung()
  {
    return (EAttribute)anzeigeQuerschnittModelNetzTypAbstractEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelNetzTypAbstract_DataUpdate()
  {
    return (EAttribute)anzeigeQuerschnittModelNetzTypAbstractEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeQuerschnittModelNetzTypAbstract_DarstellungUpdate()
  {
    return (EAttribute)anzeigeQuerschnittModelNetzTypAbstractEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp1()
  {
    return anzeigeQuerschnittModelTyp1EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp2()
  {
    return anzeigeQuerschnittModelTyp2EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp3()
  {
    return anzeigeQuerschnittModelTyp3EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp4()
  {
    return anzeigeQuerschnittModelTyp4EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp5()
  {
    return anzeigeQuerschnittModelTyp5EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp6()
  {
    return anzeigeQuerschnittModelTyp6EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp7()
  {
    return anzeigeQuerschnittModelTyp7EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp8()
  {
    return anzeigeQuerschnittModelTyp8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTypA14()
  {
    return anzeigeQuerschnittModelTypA14EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp1A8()
  {
    return anzeigeQuerschnittModelTyp1A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp2A8()
  {
    return anzeigeQuerschnittModelTyp2A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp21A8()
  {
    return anzeigeQuerschnittModelTyp21A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp3A8()
  {
    return anzeigeQuerschnittModelTyp3A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp4A8()
  {
    return anzeigeQuerschnittModelTyp4A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp5A8()
  {
    return anzeigeQuerschnittModelTyp5A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp6A8()
  {
    return anzeigeQuerschnittModelTyp6A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp6DA8()
  {
    return anzeigeQuerschnittModelTyp6DA8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp7A8()
  {
    return anzeigeQuerschnittModelTyp7A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp7DA8()
  {
    return anzeigeQuerschnittModelTyp7DA8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp9A8()
  {
    return anzeigeQuerschnittModelTyp9A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp10A8()
  {
    return anzeigeQuerschnittModelTyp10A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp10DA8()
  {
    return anzeigeQuerschnittModelTyp10DA8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp11A8()
  {
    return anzeigeQuerschnittModelTyp11A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp11DA8()
  {
    return anzeigeQuerschnittModelTyp11DA8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp12A8()
  {
    return anzeigeQuerschnittModelTyp12A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp12DA8()
  {
    return anzeigeQuerschnittModelTyp12DA8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp13A8()
  {
    return anzeigeQuerschnittModelTyp13A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp14A8()
  {
    return anzeigeQuerschnittModelTyp14A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp14DA8()
  {
    return anzeigeQuerschnittModelTyp14DA8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp15A8()
  {
    return anzeigeQuerschnittModelTyp15A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp16A8()
  {
    return anzeigeQuerschnittModelTyp16A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp16A8B()
  {
    return anzeigeQuerschnittModelTyp16A8BEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp16A8C()
  {
    return anzeigeQuerschnittModelTyp16A8CEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp17A8()
  {
    return anzeigeQuerschnittModelTyp17A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp17A8B()
  {
    return anzeigeQuerschnittModelTyp17A8BEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp18A8()
  {
    return anzeigeQuerschnittModelTyp18A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTyp19A8()
  {
    return anzeigeQuerschnittModelTyp19A8EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getFahrStreifenModelAbstract()
  {
    return fahrStreifenModelAbstractEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFahrStreifenModelAbstract_Bezeichnung()
  {
    return (EAttribute)fahrStreifenModelAbstractEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFahrStreifenModelAbstract_Kontext()
  {
    return (EAttribute)fahrStreifenModelAbstractEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFahrStreifenModelAbstract_DataUpdate()
  {
    return (EAttribute)fahrStreifenModelAbstractEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFahrStreifenModelAbstract_DarstellungUpdate()
  {
    return (EAttribute)fahrStreifenModelAbstractEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getFahrStreifenModel()
  {
    return fahrStreifenModelEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getMessQuerschnittModel()
  {
    return messQuerschnittModelEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnschlussStelleModel()
  {
    return anschlussStelleModelEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnschlussStelleModel_Staerke()
  {
    return (EAttribute)anschlussStelleModelEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getFreeFormFahrStreifenModel()
  {
    return freeFormFahrStreifenModelEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFreeFormFahrStreifenModel_Punkte()
  {
    return (EAttribute)freeFormFahrStreifenModelEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getFreeFormFahrStreifenModel_Background()
  {
    return (EAttribute)freeFormFahrStreifenModelEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getDetektorModelTypAbstract()
  {
    return detektorModelTypAbstractEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getDetektorModelTypAbstract_Bezeichnung()
  {
    return (EAttribute)detektorModelTypAbstractEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getDetektorModelTypAbstract_Gerunded()
  {
    return (EAttribute)detektorModelTypAbstractEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getDetektorModelTypAbstract_Kontext()
  {
    return (EAttribute)detektorModelTypAbstractEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getDetektorModelTypAbstract_DataUpdate()
  {
    return (EAttribute)detektorModelTypAbstractEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getDetektorModelTypAbstract_DarstellungUpdate()
  {
    return (EAttribute)detektorModelTypAbstractEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getDetektorLVE()
  {
    return detektorLVEEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getStreckenStationModel()
  {
    return streckenStationModelEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getStreckenStationModel_Bezeichnung()
  {
    return (EAttribute)streckenStationModelEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getStreckenStationModel_Kilometrierung()
  {
    return (EAttribute)streckenStationModelEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getStreckenStationModel_Kontext()
  {
    return (EAttribute)streckenStationModelEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getStreckenStationModel_Children()
  {
    return (EAttribute)streckenStationModelEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getStreckenStationModel_DataUpdate()
  {
    return (EAttribute)streckenStationModelEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getStreckenStationModel_DarstellungUpdate()
  {
    return (EAttribute)streckenStationModelEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getUfdMessStelleModel()
  {
    return ufdMessStelleModelEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getUfdMessStelleModel_Bezeichnung()
  {
    return (EAttribute)ufdMessStelleModelEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getUfdMessStelleModel_Kontext()
  {
    return (EAttribute)ufdMessStelleModelEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getUfdMessStelleModel_Sensoren()
  {
    return (EAttribute)ufdMessStelleModelEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getUfdMessStelleModel_DataUpdate()
  {
    return (EAttribute)ufdMessStelleModelEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getUfdMessStelleModel_DarstellungUpdate()
  {
    return (EAttribute)ufdMessStelleModelEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorFGB()
  {
    return anzeigeModelUfdSensorFGBEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorFBT()
  {
    return anzeigeModelUfdSensorFBTEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorFBZ()
  {
    return anzeigeModelUfdSensorFBZEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorGT()
  {
    return anzeigeModelUfdSensorGTEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorHK()
  {
    return anzeigeModelUfdSensorHKEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorLT()
  {
    return anzeigeModelUfdSensorLTEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorNI()
  {
    return anzeigeModelUfdSensorNIEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorNS()
  {
    return anzeigeModelUfdSensorNSEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorRLF()
  {
    return anzeigeModelUfdSensorRLFEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorRS()
  {
    return anzeigeModelUfdSensorRSEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorSW()
  {
    return anzeigeModelUfdSensorSWEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorTPT()
  {
    return anzeigeModelUfdSensorTPTEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorTT3()
  {
    return anzeigeModelUfdSensorTT3EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorWFD()
  {
    return anzeigeModelUfdSensorWFDEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorWGM()
  {
    return anzeigeModelUfdSensorWGMEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorWGS()
  {
    return anzeigeModelUfdSensorWGSEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSensorWR()
  {
    return anzeigeModelUfdSensorWREClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdSbaMessStelleNS()
  {
    return anzeigeModelUfdSbaMessStelleNSEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelUfdMessStelleNS()
  {
    return anzeigeModelUfdMessStelleNSEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getTabelleMqModel()
  {
    return tabelleMqModelEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTabelleMqModel_Bezeichnung()
  {
    return (EAttribute)tabelleMqModelEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTabelleMqModel_Kontext()
  {
    return (EAttribute)tabelleMqModelEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTabelleMqModel_Children()
  {
    return (EAttribute)tabelleMqModelEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTabelleMqModel_DataUpdate()
  {
    return (EAttribute)tabelleMqModelEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getTabelleMqModel_DarstellungUpdate()
  {
    return (EAttribute)tabelleMqModelEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getStreckenStationModelA14()
  {
    return streckenStationModelA14EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelA81()
  {
    return anzeigeQuerschnittModelA81EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelA81Typ1()
  {
    return anzeigeQuerschnittModelA81Typ1EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelA81Typ2()
  {
    return anzeigeQuerschnittModelA81Typ2EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelA81Typ3()
  {
    return anzeigeQuerschnittModelA81Typ3EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeModelA81Lsa()
  {
    return anzeigeModelA81LsaEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTypA2_3sp()
  {
    return anzeigeQuerschnittModelTypA2_3spEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTypA2_1sp()
  {
    return anzeigeQuerschnittModelTypA2_1spEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTypA2_1sp2()
  {
    return anzeigeQuerschnittModelTypA2_1sp2EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTypA2_1sp3()
  {
    return anzeigeQuerschnittModelTypA2_1sp3EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getPicker()
  {
    return pickerEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getPickerVertical()
  {
    return pickerVerticalEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_Hoehe()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_Breite()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_Distanz()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_YPosPickerTop()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_KilometrierungZuordnung()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_VonKm()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_BisKm()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(6);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_Sichtbar()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(7);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_Farbe()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(8);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_DarstellungUpdate()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(9);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_Versetzt()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(10);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_Verschoben()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(11);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerVertical_Verschiebbar()
  {
    return (EAttribute)pickerVerticalEClass.getEStructuralFeatures().get(12);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getPickerParent()
  {
    return pickerParentEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_Hoehe()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_Breite()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(1);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_Distanz()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(2);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_YPosPickerTop()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(3);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_KilometrierungZuordnung()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_TicksAnzeigen()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(5);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_Fahrtrichtung()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(6);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_ObjektTyp()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(7);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_FarbeVordergrund()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(8);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_FarbeHintergrund()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(9);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getPickerParent_Transparenz()
  {
    return (EAttribute)pickerParentEClass.getEStructuralFeatures().get(10);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeQuerschnittModelTypA2_3sp2()
  {
    return anzeigeQuerschnittModelTypA2_3sp2EClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AnlagendarstellungFactory getAnlagendarstellungFactory()
  {
    return (AnlagendarstellungFactory)getEFactoryInstance();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isCreated = false;

  /**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void createPackageContents()
  {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    doModelMitVerbLinieEClass = createEClass(DO_MODEL_MIT_VERB_LINIE);
    createEReference(doModelMitVerbLinieEClass, DO_MODEL_MIT_VERB_LINIE__TARGET_OF);
    createEReference(doModelMitVerbLinieEClass, DO_MODEL_MIT_VERB_LINIE__TARGET);

    verhaltenDoTypEClass = createEClass(VERHALTEN_DO_TYP);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_IST_ZUSTAND);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SOLL_ZUSTAND);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_HAND_SCHALTUNG);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_SIMULATION);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_TRICHTER);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__KONTEXT_MENUE_ID_PARAMETER);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_IST_ZUSTAND);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SOLL_ZUSTAND);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_HAND_SCHALTUNG);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_SIMULATION);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_TRICHTER);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__DOPPEL_KLICK_ID_PARAMETER);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__TOOL_TIP_ID_IST_ZUSTAND);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__TOOL_TIP_ID_SOLL_ZUSTAND);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__TOOL_TIP_ID_HAND_SCHALTUNG);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__TOOL_TIP_ID_SIMULATION);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__TOOL_TIP_ID_TRICHTER);
    createEAttribute(verhaltenDoTypEClass, VERHALTEN_DO_TYP__TOOL_TIP_ID_PARAMETER);

    anzeigeModelTypAsEClass = createEClass(ANZEIGE_MODEL_TYP_AS);

    aqModelTypGenericEClass = createEClass(AQ_MODEL_TYP_GENERIC);
    createEAttribute(aqModelTypGenericEClass, AQ_MODEL_TYP_GENERIC__AQ_NAME);
    createEAttribute(aqModelTypGenericEClass, AQ_MODEL_TYP_GENERIC__KONTEXT);
    createEAttribute(aqModelTypGenericEClass, AQ_MODEL_TYP_GENERIC__ANZEIGEN);

    aqModelBezeichnungEClass = createEClass(AQ_MODEL_BEZEICHNUNG);
    createEAttribute(aqModelBezeichnungEClass, AQ_MODEL_BEZEICHNUNG__BEZEICHNUNG);
    createEAttribute(aqModelBezeichnungEClass, AQ_MODEL_BEZEICHNUNG__KILOMETRIERUNG);
    createEAttribute(aqModelBezeichnungEClass, AQ_MODEL_BEZEICHNUNG__KONTEXT);
    createEAttribute(aqModelBezeichnungEClass, AQ_MODEL_BEZEICHNUNG__BACKGROUND);
    createEAttribute(aqModelBezeichnungEClass, AQ_MODEL_BEZEICHNUNG__DARSTELLUNG_UPDATE);

    anzeigeModelTypAbstractEClass = createEClass(ANZEIGE_MODEL_TYP_ABSTRACT);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__BEZEICHNUNG);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__KONTEXT);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE1);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE2);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__DATA_UPDATE);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__DARSTELLUNG_UPDATE);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__FAHRTRICHTUNG);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__PRIORITAET);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__BLINKEN);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__BLINKTAKT);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__NOTWENDIG);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__ABSOLUT_NOTWENDIG);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_VORGAENGER);
    createEAttribute(anzeigeModelTypAbstractEClass, ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_NACHFOLGER);

    anzeigeModelTypAEClass = createEClass(ANZEIGE_MODEL_TYP_A);

    anzeigeModelTypBEClass = createEClass(ANZEIGE_MODEL_TYP_B);

    anzeigeModelTypCEClass = createEClass(ANZEIGE_MODEL_TYP_C);

    anzeigeModelTypC2EClass = createEClass(ANZEIGE_MODEL_TYP_C2);

    anzeigeModelTypDEClass = createEClass(ANZEIGE_MODEL_TYP_D);

    anzeigeModelTypD2EClass = createEClass(ANZEIGE_MODEL_TYP_D2);

    anzeigeModelTypD3EClass = createEClass(ANZEIGE_MODEL_TYP_D3);

    anzeigeModelTypTEClass = createEClass(ANZEIGE_MODEL_TYP_T);

    anzeigeModelTypT2EClass = createEClass(ANZEIGE_MODEL_TYP_T2);

    anzeigeModelTypWEClass = createEClass(ANZEIGE_MODEL_TYP_W);

    anzeigeModelTypW1EClass = createEClass(ANZEIGE_MODEL_TYP_W1);

    anzeigeModelTypW11EClass = createEClass(ANZEIGE_MODEL_TYP_W11);

    anzeigeModelTypW2EClass = createEClass(ANZEIGE_MODEL_TYP_W2);

    anzeigeModelTypBAGEClass = createEClass(ANZEIGE_MODEL_TYP_BAG);

    anzeigeModelTypBlinkerEClass = createEClass(ANZEIGE_MODEL_TYP_BLINKER);

    anzeigeModelTypPrgEClass = createEClass(ANZEIGE_MODEL_TYP_PRG);

    anzeigeModelTypHellEClass = createEClass(ANZEIGE_MODEL_TYP_HELL);

    anzeigeQuerschnittModelTypAbstractEClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP_ABSTRACT);
    createEAttribute(anzeigeQuerschnittModelTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_TYP_ABSTRACT__BEZEICHNUNG);
    createEAttribute(anzeigeQuerschnittModelTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_TYP_ABSTRACT__KONTEXT);
    createEAttribute(anzeigeQuerschnittModelTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_TYP_ABSTRACT__FAHRTRICHTUNG);
    createEAttribute(anzeigeQuerschnittModelTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_TYP_ABSTRACT__DATA_UPDATE);
    createEAttribute(anzeigeQuerschnittModelTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_TYP_ABSTRACT__DARSTELLUNG_UPDATE);

    anzeigeQuerschnittModelNetzTypAbstractEClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_NETZ_TYP_ABSTRACT);
    createEAttribute(anzeigeQuerschnittModelNetzTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_NETZ_TYP_ABSTRACT__BEZEICHNUNG);
    createEAttribute(anzeigeQuerschnittModelNetzTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_NETZ_TYP_ABSTRACT__KONTEXT);
    createEAttribute(anzeigeQuerschnittModelNetzTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_NETZ_TYP_ABSTRACT__FAHRTRICHTUNG);
    createEAttribute(anzeigeQuerschnittModelNetzTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_NETZ_TYP_ABSTRACT__DATA_UPDATE);
    createEAttribute(anzeigeQuerschnittModelNetzTypAbstractEClass, ANZEIGE_QUERSCHNITT_MODEL_NETZ_TYP_ABSTRACT__DARSTELLUNG_UPDATE);

    anzeigeQuerschnittModelTyp1EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP1);

    anzeigeQuerschnittModelTyp2EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP2);

    anzeigeQuerschnittModelTyp3EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP3);

    anzeigeQuerschnittModelTyp4EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP4);

    anzeigeQuerschnittModelTyp5EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP5);

    anzeigeQuerschnittModelTyp6EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP6);

    anzeigeQuerschnittModelTyp7EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP7);

    anzeigeQuerschnittModelTyp8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP8);

    anzeigeQuerschnittModelTypA14EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP_A14);

    anzeigeQuerschnittModelTyp1A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP1_A8);

    anzeigeQuerschnittModelTyp2A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP2_A8);

    anzeigeQuerschnittModelTyp21A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP21_A8);

    anzeigeQuerschnittModelTyp3A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP3_A8);

    anzeigeQuerschnittModelTyp4A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP4_A8);

    anzeigeQuerschnittModelTyp5A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP5_A8);

    anzeigeQuerschnittModelTyp6A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP6_A8);

    anzeigeQuerschnittModelTyp6DA8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP6_DA8);

    anzeigeQuerschnittModelTyp7A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP7_A8);

    anzeigeQuerschnittModelTyp7DA8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP7_DA8);

    anzeigeQuerschnittModelTyp9A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP9_A8);

    anzeigeQuerschnittModelTyp10A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP10_A8);

    anzeigeQuerschnittModelTyp10DA8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP10_DA8);

    anzeigeQuerschnittModelTyp11A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP11_A8);

    anzeigeQuerschnittModelTyp11DA8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP11_DA8);

    anzeigeQuerschnittModelTyp12A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP12_A8);

    anzeigeQuerschnittModelTyp12DA8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP12_DA8);

    anzeigeQuerschnittModelTyp13A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP13_A8);

    anzeigeQuerschnittModelTyp14A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP14_A8);

    anzeigeQuerschnittModelTyp14DA8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP14_DA8);

    anzeigeQuerschnittModelTyp15A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP15_A8);

    anzeigeQuerschnittModelTyp16A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP16_A8);

    anzeigeQuerschnittModelTyp16A8BEClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP16_A8B);

    anzeigeQuerschnittModelTyp16A8CEClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP16_A8C);

    anzeigeQuerschnittModelTyp17A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP17_A8);

    anzeigeQuerschnittModelTyp17A8BEClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP17_A8B);

    anzeigeQuerschnittModelTyp18A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP18_A8);

    anzeigeQuerschnittModelTyp19A8EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP19_A8);

    fahrStreifenModelAbstractEClass = createEClass(FAHR_STREIFEN_MODEL_ABSTRACT);
    createEAttribute(fahrStreifenModelAbstractEClass, FAHR_STREIFEN_MODEL_ABSTRACT__BEZEICHNUNG);
    createEAttribute(fahrStreifenModelAbstractEClass, FAHR_STREIFEN_MODEL_ABSTRACT__KONTEXT);
    createEAttribute(fahrStreifenModelAbstractEClass, FAHR_STREIFEN_MODEL_ABSTRACT__DATA_UPDATE);
    createEAttribute(fahrStreifenModelAbstractEClass, FAHR_STREIFEN_MODEL_ABSTRACT__DARSTELLUNG_UPDATE);

    fahrStreifenModelEClass = createEClass(FAHR_STREIFEN_MODEL);

    messQuerschnittModelEClass = createEClass(MESS_QUERSCHNITT_MODEL);

    anschlussStelleModelEClass = createEClass(ANSCHLUSS_STELLE_MODEL);
    createEAttribute(anschlussStelleModelEClass, ANSCHLUSS_STELLE_MODEL__STAERKE);

    freeFormFahrStreifenModelEClass = createEClass(FREE_FORM_FAHR_STREIFEN_MODEL);
    createEAttribute(freeFormFahrStreifenModelEClass, FREE_FORM_FAHR_STREIFEN_MODEL__PUNKTE);
    createEAttribute(freeFormFahrStreifenModelEClass, FREE_FORM_FAHR_STREIFEN_MODEL__BACKGROUND);

    detektorModelTypAbstractEClass = createEClass(DETEKTOR_MODEL_TYP_ABSTRACT);
    createEAttribute(detektorModelTypAbstractEClass, DETEKTOR_MODEL_TYP_ABSTRACT__BEZEICHNUNG);
    createEAttribute(detektorModelTypAbstractEClass, DETEKTOR_MODEL_TYP_ABSTRACT__GERUNDED);
    createEAttribute(detektorModelTypAbstractEClass, DETEKTOR_MODEL_TYP_ABSTRACT__KONTEXT);
    createEAttribute(detektorModelTypAbstractEClass, DETEKTOR_MODEL_TYP_ABSTRACT__DATA_UPDATE);
    createEAttribute(detektorModelTypAbstractEClass, DETEKTOR_MODEL_TYP_ABSTRACT__DARSTELLUNG_UPDATE);

    detektorLVEEClass = createEClass(DETEKTOR_LVE);

    streckenStationModelEClass = createEClass(STRECKEN_STATION_MODEL);
    createEAttribute(streckenStationModelEClass, STRECKEN_STATION_MODEL__BEZEICHNUNG);
    createEAttribute(streckenStationModelEClass, STRECKEN_STATION_MODEL__KILOMETRIERUNG);
    createEAttribute(streckenStationModelEClass, STRECKEN_STATION_MODEL__KONTEXT);
    createEAttribute(streckenStationModelEClass, STRECKEN_STATION_MODEL__CHILDREN);
    createEAttribute(streckenStationModelEClass, STRECKEN_STATION_MODEL__DATA_UPDATE);
    createEAttribute(streckenStationModelEClass, STRECKEN_STATION_MODEL__DARSTELLUNG_UPDATE);

    ufdMessStelleModelEClass = createEClass(UFD_MESS_STELLE_MODEL);
    createEAttribute(ufdMessStelleModelEClass, UFD_MESS_STELLE_MODEL__BEZEICHNUNG);
    createEAttribute(ufdMessStelleModelEClass, UFD_MESS_STELLE_MODEL__KONTEXT);
    createEAttribute(ufdMessStelleModelEClass, UFD_MESS_STELLE_MODEL__SENSOREN);
    createEAttribute(ufdMessStelleModelEClass, UFD_MESS_STELLE_MODEL__DATA_UPDATE);
    createEAttribute(ufdMessStelleModelEClass, UFD_MESS_STELLE_MODEL__DARSTELLUNG_UPDATE);

    anzeigeModelUfdSensorFGBEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_FGB);

    anzeigeModelUfdSensorFBTEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_FBT);

    anzeigeModelUfdSensorFBZEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_FBZ);

    anzeigeModelUfdSensorGTEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_GT);

    anzeigeModelUfdSensorHKEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_HK);

    anzeigeModelUfdSensorLTEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_LT);

    anzeigeModelUfdSensorNIEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_NI);

    anzeigeModelUfdSensorNSEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_NS);

    anzeigeModelUfdSensorRLFEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_RLF);

    anzeigeModelUfdSensorRSEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_RS);

    anzeigeModelUfdSensorSWEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_SW);

    anzeigeModelUfdSensorTPTEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_TPT);

    anzeigeModelUfdSensorTT3EClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_TT3);

    anzeigeModelUfdSensorWFDEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_WFD);

    anzeigeModelUfdSensorWGMEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_WGM);

    anzeigeModelUfdSensorWGSEClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_WGS);

    anzeigeModelUfdSensorWREClass = createEClass(ANZEIGE_MODEL_UFD_SENSOR_WR);

    anzeigeModelUfdSbaMessStelleNSEClass = createEClass(ANZEIGE_MODEL_UFD_SBA_MESS_STELLE_NS);

    anzeigeModelUfdMessStelleNSEClass = createEClass(ANZEIGE_MODEL_UFD_MESS_STELLE_NS);

    tabelleMqModelEClass = createEClass(TABELLE_MQ_MODEL);
    createEAttribute(tabelleMqModelEClass, TABELLE_MQ_MODEL__BEZEICHNUNG);
    createEAttribute(tabelleMqModelEClass, TABELLE_MQ_MODEL__KONTEXT);
    createEAttribute(tabelleMqModelEClass, TABELLE_MQ_MODEL__CHILDREN);
    createEAttribute(tabelleMqModelEClass, TABELLE_MQ_MODEL__DATA_UPDATE);
    createEAttribute(tabelleMqModelEClass, TABELLE_MQ_MODEL__DARSTELLUNG_UPDATE);

    streckenStationModelA14EClass = createEClass(STRECKEN_STATION_MODEL_A14);

    anzeigeQuerschnittModelA81Typ1EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_A81_TYP1);

    anzeigeQuerschnittModelA81EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_A81);

    anzeigeQuerschnittModelA81Typ2EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_A81_TYP2);

    anzeigeQuerschnittModelA81Typ3EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_A81_TYP3);

    anzeigeModelA81LsaEClass = createEClass(ANZEIGE_MODEL_A81_LSA);

    anzeigeQuerschnittModelTypA2_3spEClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP_A2_3SP);

    anzeigeQuerschnittModelTypA2_3sp2EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP_A2_3SP2);

    anzeigeQuerschnittModelTypA2_1spEClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP_A2_1SP);

    anzeigeQuerschnittModelTypA2_1sp2EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP_A2_1SP2);

    anzeigeQuerschnittModelTypA2_1sp3EClass = createEClass(ANZEIGE_QUERSCHNITT_MODEL_TYP_A2_1SP3);

    pickerEClass = createEClass(PICKER);

    pickerVerticalEClass = createEClass(PICKER_VERTICAL);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__HOEHE);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__BREITE);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__DISTANZ);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__YPOS_PICKER_TOP);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__KILOMETRIERUNG_ZUORDNUNG);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__VON_KM);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__BIS_KM);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__SICHTBAR);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__FARBE);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__DARSTELLUNG_UPDATE);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__VERSETZT);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__VERSCHOBEN);
    createEAttribute(pickerVerticalEClass, PICKER_VERTICAL__VERSCHIEBBAR);

    pickerParentEClass = createEClass(PICKER_PARENT);
    createEAttribute(pickerParentEClass, PICKER_PARENT__HOEHE);
    createEAttribute(pickerParentEClass, PICKER_PARENT__BREITE);
    createEAttribute(pickerParentEClass, PICKER_PARENT__DISTANZ);
    createEAttribute(pickerParentEClass, PICKER_PARENT__YPOS_PICKER_TOP);
    createEAttribute(pickerParentEClass, PICKER_PARENT__KILOMETRIERUNG_ZUORDNUNG);
    createEAttribute(pickerParentEClass, PICKER_PARENT__TICKS_ANZEIGEN);
    createEAttribute(pickerParentEClass, PICKER_PARENT__FAHRTRICHTUNG);
    createEAttribute(pickerParentEClass, PICKER_PARENT__OBJEKT_TYP);
    createEAttribute(pickerParentEClass, PICKER_PARENT__FARBE_VORDERGRUND);
    createEAttribute(pickerParentEClass, PICKER_PARENT__FARBE_HINTERGRUND);
    createEAttribute(pickerParentEClass, PICKER_PARENT__TRANSPARENZ);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private boolean isInitialized = false;

  /**
   * Complete the initialization of the package and its meta-model.  This
   * method is guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void initializePackageContents()
  {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    DobjPackage theDobjPackage = (DobjPackage)EPackage.Registry.INSTANCE.getEPackage(DobjPackage.eNS_URI);
    GefPackage theGefPackage = (GefPackage)EPackage.Registry.INSTANCE.getEPackage(GefPackage.eNS_URI);
    EclipsePackage theEclipsePackage = (EclipsePackage)EPackage.Registry.INSTANCE.getEPackage(EclipsePackage.eNS_URI);

    // Create type parameters

    // Set bounds for type parameters

    // Add supertypes to classes
    doModelMitVerbLinieEClass.getESuperTypes().add(theDobjPackage.getDoModel());
    verhaltenDoTypEClass.getESuperTypes().add(theDobjPackage.getConfiguratedDoTyp());
    anzeigeModelTypAsEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    aqModelTypGenericEClass.getESuperTypes().add(theDobjPackage.getDoModel());
    aqModelTypGenericEClass.getESuperTypes().add(theGefPackage.getSized());
    aqModelBezeichnungEClass.getESuperTypes().add(this.getDoModelMitVerbLinie());
    aqModelBezeichnungEClass.getESuperTypes().add(theGefPackage.getSized());
    anzeigeModelTypAbstractEClass.getESuperTypes().add(this.getDoModelMitVerbLinie());
    anzeigeModelTypAEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypBEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypCEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypC2EClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypDEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypD2EClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypD3EClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypTEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypT2EClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypWEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypW1EClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypW11EClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypW2EClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypBAGEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypBlinkerEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypPrgEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelTypHellEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    EGenericType g1 = createEGenericType(this.getDoModelMitVerbLinie());
    anzeigeQuerschnittModelTypAbstractEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(theDobjPackage.getDoKompositum());
    EGenericType g2 = createEGenericType(this.getAnzeigeModelTypAbstract());
    g1.getETypeArguments().add(g2);
    anzeigeQuerschnittModelTypAbstractEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(theDobjPackage.getDoKompositum());
    g2 = createEGenericType(this.getAnzeigeModelTypAbstract());
    g1.getETypeArguments().add(g2);
    anzeigeQuerschnittModelNetzTypAbstractEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(theDobjPackage.getDoModel());
    anzeigeQuerschnittModelNetzTypAbstractEClass.getEGenericSuperTypes().add(g1);
    anzeigeQuerschnittModelTyp1EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp2EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp3EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp4EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp5EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp6EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp7EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTypA14EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp1A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp2A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp21A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp3A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp4A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp5A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp6A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp6DA8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp7A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp7DA8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp9A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp10A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp10DA8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp11A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp11DA8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp12A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp12DA8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp13A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp14A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp14DA8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp15A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp16A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp16A8BEClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp16A8CEClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp17A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp17A8BEClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp18A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTyp19A8EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    g1 = createEGenericType(this.getDoModelMitVerbLinie());
    fahrStreifenModelAbstractEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(theDobjPackage.getDoKompositum());
    g2 = createEGenericType(this.getDetektorLVE());
    g1.getETypeArguments().add(g2);
    fahrStreifenModelAbstractEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(theGefPackage.getSized());
    fahrStreifenModelAbstractEClass.getEGenericSuperTypes().add(g1);
    fahrStreifenModelEClass.getESuperTypes().add(this.getFahrStreifenModelAbstract());
    messQuerschnittModelEClass.getESuperTypes().add(this.getFahrStreifenModelAbstract());
    anschlussStelleModelEClass.getESuperTypes().add(this.getFahrStreifenModelAbstract());
    freeFormFahrStreifenModelEClass.getESuperTypes().add(this.getFahrStreifenModelAbstract());
    detektorModelTypAbstractEClass.getESuperTypes().add(this.getDoModelMitVerbLinie());
    detektorModelTypAbstractEClass.getESuperTypes().add(theGefPackage.getSized());
    detektorLVEEClass.getESuperTypes().add(this.getDetektorModelTypAbstract());
    streckenStationModelEClass.getESuperTypes().add(this.getDoModelMitVerbLinie());
    ufdMessStelleModelEClass.getESuperTypes().add(theDobjPackage.getDoModel());
    anzeigeModelUfdSensorFGBEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorFBTEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorFBZEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorGTEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorHKEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorLTEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorNIEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorNSEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorRLFEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorRSEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorSWEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorTPTEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorTT3EClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorWFDEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorWGMEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorWGSEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSensorWREClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdSbaMessStelleNSEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeModelUfdMessStelleNSEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    tabelleMqModelEClass.getESuperTypes().add(this.getDoModelMitVerbLinie());
    streckenStationModelA14EClass.getESuperTypes().add(this.getStreckenStationModel());
    anzeigeQuerschnittModelA81Typ1EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelA81());
    anzeigeQuerschnittModelA81EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelA81Typ2EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelA81());
    anzeigeQuerschnittModelA81Typ3EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelA81());
    anzeigeModelA81LsaEClass.getESuperTypes().add(this.getAnzeigeModelTypAbstract());
    anzeigeQuerschnittModelTypA2_3spEClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTypA2_3sp2EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTypA2_1spEClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTypA2_1sp2EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    anzeigeQuerschnittModelTypA2_1sp3EClass.getESuperTypes().add(this.getAnzeigeQuerschnittModelTypAbstract());
    pickerEClass.getESuperTypes().add(this.getDoModelMitVerbLinie());
    pickerVerticalEClass.getESuperTypes().add(this.getDoModelMitVerbLinie());
    pickerVerticalEClass.getESuperTypes().add(this.getPicker());
    g1 = createEGenericType(this.getDoModelMitVerbLinie());
    pickerParentEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(theDobjPackage.getDoKompositum());
    g2 = createEGenericType(this.getPickerVertical());
    g1.getETypeArguments().add(g2);
    pickerParentEClass.getEGenericSuperTypes().add(g1);

    // Initialize classes and features; add operations and parameters
    initEClass(doModelMitVerbLinieEClass, DoModelMitVerbLinie.class, "DoModelMitVerbLinie", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getDoModelMitVerbLinie_TargetOf(), this.getDoModelMitVerbLinie(), null, "targetOf", null, 0, -1, DoModelMitVerbLinie.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getDoModelMitVerbLinie_Target(), this.getDoModelMitVerbLinie(), null, "target", null, 0, 1, DoModelMitVerbLinie.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(verhaltenDoTypEClass, VerhaltenDoTyp.class, "VerhaltenDoTyp", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getVerhaltenDoTyp_KontextMenueIdIstZustand(), ecorePackage.getEString(), "KontextMenueIdIstZustand", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_KontextMenueIdSollZustand(), ecorePackage.getEString(), "KontextMenueIdSollZustand", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_KontextMenueIdHandSchaltung(), ecorePackage.getEString(), "KontextMenueIdHandSchaltung", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_KontextMenueIdSimulation(), ecorePackage.getEString(), "KontextMenueIdSimulation", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_KontextMenueIdTrichter(), ecorePackage.getEString(), "KontextMenueIdTrichter", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_KontextMenueIdParameter(), ecorePackage.getEString(), "KontextMenueIdParameter", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_DoppelKlickIdIstZustand(), ecorePackage.getEString(), "DoppelKlickIdIstZustand", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_DoppelKlickIdSollZustand(), ecorePackage.getEString(), "DoppelKlickIdSollZustand", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_DoppelKlickIdHandSchaltung(), ecorePackage.getEString(), "DoppelKlickIdHandSchaltung", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_DoppelKlickIdSimulation(), ecorePackage.getEString(), "DoppelKlickIdSimulation", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_DoppelKlickIdTrichter(), ecorePackage.getEString(), "DoppelKlickIdTrichter", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_DoppelKlickIdParameter(), ecorePackage.getEString(), "DoppelKlickIdParameter", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_ToolTipIdIstZustand(), ecorePackage.getEString(), "ToolTipIdIstZustand", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_ToolTipIdSollZustand(), ecorePackage.getEString(), "ToolTipIdSollZustand", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_ToolTipIdHandSchaltung(), ecorePackage.getEString(), "ToolTipIdHandSchaltung", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_ToolTipIdSimulation(), ecorePackage.getEString(), "ToolTipIdSimulation", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_ToolTipIdTrichter(), ecorePackage.getEString(), "ToolTipIdTrichter", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getVerhaltenDoTyp_ToolTipIdParameter(), ecorePackage.getEString(), "ToolTipIdParameter", null, 0, 1, VerhaltenDoTyp.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(anzeigeModelTypAsEClass, AnzeigeModelTypAs.class, "AnzeigeModelTypAs", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(aqModelTypGenericEClass, AQModelTypGeneric.class, "AQModelTypGeneric", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAQModelTypGeneric_AQName(), ecorePackage.getEString(), "AQName", "", 0, 1, AQModelTypGeneric.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAQModelTypGeneric_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, AQModelTypGeneric.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    g1 = createEGenericType(ecorePackage.getEEList());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEAttribute(getAQModelTypGeneric_Anzeigen(), g1, "Anzeigen", null, 0, 1, AQModelTypGeneric.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(aqModelBezeichnungEClass, AQModelBezeichnung.class, "AQModelBezeichnung", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAQModelBezeichnung_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, AQModelBezeichnung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAQModelBezeichnung_Kilometrierung(), ecorePackage.getEString(), "Kilometrierung", "", 0, 1, AQModelBezeichnung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAQModelBezeichnung_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, AQModelBezeichnung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAQModelBezeichnung_Background(), ecorePackage.getEJavaObject(), "Background", null, 0, 1, AQModelBezeichnung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAQModelBezeichnung_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, AQModelBezeichnung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(anzeigeModelTypAbstractEClass, AnzeigeModelTypAbstract.class, "AnzeigeModelTypAbstract", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAnzeigeModelTypAbstract_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    g1 = createEGenericType(ecorePackage.getEEList());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEAttribute(getAnzeigeModelTypAbstract_Inhalte1(), g1, "Inhalte1", null, 0, 1, AnzeigeModelTypAbstract.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    g1 = createEGenericType(ecorePackage.getEEList());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEAttribute(getAnzeigeModelTypAbstract_Inhalte2(), g1, "Inhalte2", null, 0, 1, AnzeigeModelTypAbstract.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_DataUpdate(), ecorePackage.getEJavaObject(), "DataUpdate", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_Fahrtrichtung(), ecorePackage.getEInt(), "Fahrtrichtung", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_Prioritaet(), ecorePackage.getEString(), "Prioritaet", "undefiniert", 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_Blinken(), ecorePackage.getEInt(), "Blinken", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_Blinktakt(), ecorePackage.getEString(), "Blinktakt", "Undefiniert", 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_Notwendig(), ecorePackage.getEInt(), "Notwendig", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_AbsolutNotwendig(), ecorePackage.getEInt(), "AbsolutNotwendig", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_VerschiebungVorgaenger(), ecorePackage.getEInt(), "VerschiebungVorgaenger", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeModelTypAbstract_VerschiebungNachfolger(), ecorePackage.getEInt(), "VerschiebungNachfolger", null, 0, 1, AnzeigeModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(anzeigeModelTypAEClass, AnzeigeModelTypA.class, "AnzeigeModelTypA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypBEClass, AnzeigeModelTypB.class, "AnzeigeModelTypB", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypCEClass, AnzeigeModelTypC.class, "AnzeigeModelTypC", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypC2EClass, AnzeigeModelTypC2.class, "AnzeigeModelTypC2", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypDEClass, AnzeigeModelTypD.class, "AnzeigeModelTypD", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypD2EClass, AnzeigeModelTypD2.class, "AnzeigeModelTypD2", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypD3EClass, AnzeigeModelTypD3.class, "AnzeigeModelTypD3", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypTEClass, AnzeigeModelTypT.class, "AnzeigeModelTypT", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypT2EClass, AnzeigeModelTypT2.class, "AnzeigeModelTypT2", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypWEClass, AnzeigeModelTypW.class, "AnzeigeModelTypW", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypW1EClass, AnzeigeModelTypW1.class, "AnzeigeModelTypW1", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypW11EClass, AnzeigeModelTypW11.class, "AnzeigeModelTypW11", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypW2EClass, AnzeigeModelTypW2.class, "AnzeigeModelTypW2", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypBAGEClass, AnzeigeModelTypBAG.class, "AnzeigeModelTypBAG", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypBlinkerEClass, AnzeigeModelTypBlinker.class, "AnzeigeModelTypBlinker", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypPrgEClass, AnzeigeModelTypPrg.class, "AnzeigeModelTypPrg", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelTypHellEClass, AnzeigeModelTypHell.class, "AnzeigeModelTypHell", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTypAbstractEClass, AnzeigeQuerschnittModelTypAbstract.class, "AnzeigeQuerschnittModelTypAbstract", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAnzeigeQuerschnittModelTypAbstract_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, AnzeigeQuerschnittModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeQuerschnittModelTypAbstract_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, AnzeigeQuerschnittModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeQuerschnittModelTypAbstract_Fahrtrichtung(), ecorePackage.getEInt(), "Fahrtrichtung", null, 0, 1, AnzeigeQuerschnittModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeQuerschnittModelTypAbstract_DataUpdate(), ecorePackage.getEJavaObject(), "DataUpdate", null, 0, 1, AnzeigeQuerschnittModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeQuerschnittModelTypAbstract_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, AnzeigeQuerschnittModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(anzeigeQuerschnittModelNetzTypAbstractEClass, AnzeigeQuerschnittModelNetzTypAbstract.class, "AnzeigeQuerschnittModelNetzTypAbstract", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAnzeigeQuerschnittModelNetzTypAbstract_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, AnzeigeQuerschnittModelNetzTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeQuerschnittModelNetzTypAbstract_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, AnzeigeQuerschnittModelNetzTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeQuerschnittModelNetzTypAbstract_Fahrtrichtung(), ecorePackage.getEInt(), "Fahrtrichtung", null, 0, 1, AnzeigeQuerschnittModelNetzTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeQuerschnittModelNetzTypAbstract_DataUpdate(), ecorePackage.getEJavaObject(), "DataUpdate", null, 0, 1, AnzeigeQuerschnittModelNetzTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAnzeigeQuerschnittModelNetzTypAbstract_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, AnzeigeQuerschnittModelNetzTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(anzeigeQuerschnittModelTyp1EClass, AnzeigeQuerschnittModelTyp1.class, "AnzeigeQuerschnittModelTyp1", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp2EClass, AnzeigeQuerschnittModelTyp2.class, "AnzeigeQuerschnittModelTyp2", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp3EClass, AnzeigeQuerschnittModelTyp3.class, "AnzeigeQuerschnittModelTyp3", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp4EClass, AnzeigeQuerschnittModelTyp4.class, "AnzeigeQuerschnittModelTyp4", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp5EClass, AnzeigeQuerschnittModelTyp5.class, "AnzeigeQuerschnittModelTyp5", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp6EClass, AnzeigeQuerschnittModelTyp6.class, "AnzeigeQuerschnittModelTyp6", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp7EClass, AnzeigeQuerschnittModelTyp7.class, "AnzeigeQuerschnittModelTyp7", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp8EClass, AnzeigeQuerschnittModelTyp8.class, "AnzeigeQuerschnittModelTyp8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTypA14EClass, AnzeigeQuerschnittModelTypA14.class, "AnzeigeQuerschnittModelTypA14", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp1A8EClass, AnzeigeQuerschnittModelTyp1A8.class, "AnzeigeQuerschnittModelTyp1A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp2A8EClass, AnzeigeQuerschnittModelTyp2A8.class, "AnzeigeQuerschnittModelTyp2A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp21A8EClass, AnzeigeQuerschnittModelTyp21A8.class, "AnzeigeQuerschnittModelTyp21A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp3A8EClass, AnzeigeQuerschnittModelTyp3A8.class, "AnzeigeQuerschnittModelTyp3A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp4A8EClass, AnzeigeQuerschnittModelTyp4A8.class, "AnzeigeQuerschnittModelTyp4A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp5A8EClass, AnzeigeQuerschnittModelTyp5A8.class, "AnzeigeQuerschnittModelTyp5A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp6A8EClass, AnzeigeQuerschnittModelTyp6A8.class, "AnzeigeQuerschnittModelTyp6A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp6DA8EClass, AnzeigeQuerschnittModelTyp6DA8.class, "AnzeigeQuerschnittModelTyp6DA8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp7A8EClass, AnzeigeQuerschnittModelTyp7A8.class, "AnzeigeQuerschnittModelTyp7A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp7DA8EClass, AnzeigeQuerschnittModelTyp7DA8.class, "AnzeigeQuerschnittModelTyp7DA8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp9A8EClass, AnzeigeQuerschnittModelTyp9A8.class, "AnzeigeQuerschnittModelTyp9A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp10A8EClass, AnzeigeQuerschnittModelTyp10A8.class, "AnzeigeQuerschnittModelTyp10A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp10DA8EClass, AnzeigeQuerschnittModelTyp10DA8.class, "AnzeigeQuerschnittModelTyp10DA8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp11A8EClass, AnzeigeQuerschnittModelTyp11A8.class, "AnzeigeQuerschnittModelTyp11A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp11DA8EClass, AnzeigeQuerschnittModelTyp11DA8.class, "AnzeigeQuerschnittModelTyp11DA8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp12A8EClass, AnzeigeQuerschnittModelTyp12A8.class, "AnzeigeQuerschnittModelTyp12A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp12DA8EClass, AnzeigeQuerschnittModelTyp12DA8.class, "AnzeigeQuerschnittModelTyp12DA8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp13A8EClass, AnzeigeQuerschnittModelTyp13A8.class, "AnzeigeQuerschnittModelTyp13A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp14A8EClass, AnzeigeQuerschnittModelTyp14A8.class, "AnzeigeQuerschnittModelTyp14A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp14DA8EClass, AnzeigeQuerschnittModelTyp14DA8.class, "AnzeigeQuerschnittModelTyp14DA8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp15A8EClass, AnzeigeQuerschnittModelTyp15A8.class, "AnzeigeQuerschnittModelTyp15A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp16A8EClass, AnzeigeQuerschnittModelTyp16A8.class, "AnzeigeQuerschnittModelTyp16A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp16A8BEClass, AnzeigeQuerschnittModelTyp16A8B.class, "AnzeigeQuerschnittModelTyp16A8B", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp16A8CEClass, AnzeigeQuerschnittModelTyp16A8C.class, "AnzeigeQuerschnittModelTyp16A8C", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp17A8EClass, AnzeigeQuerschnittModelTyp17A8.class, "AnzeigeQuerschnittModelTyp17A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp17A8BEClass, AnzeigeQuerschnittModelTyp17A8B.class, "AnzeigeQuerschnittModelTyp17A8B", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp18A8EClass, AnzeigeQuerschnittModelTyp18A8.class, "AnzeigeQuerschnittModelTyp18A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTyp19A8EClass, AnzeigeQuerschnittModelTyp19A8.class, "AnzeigeQuerschnittModelTyp19A8", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(fahrStreifenModelAbstractEClass, FahrStreifenModelAbstract.class, "FahrStreifenModelAbstract", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getFahrStreifenModelAbstract_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, FahrStreifenModelAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getFahrStreifenModelAbstract_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, FahrStreifenModelAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getFahrStreifenModelAbstract_DataUpdate(), ecorePackage.getEJavaObject(), "DataUpdate", null, 0, 1, FahrStreifenModelAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getFahrStreifenModelAbstract_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, FahrStreifenModelAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(fahrStreifenModelEClass, FahrStreifenModel.class, "FahrStreifenModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(messQuerschnittModelEClass, MessQuerschnittModel.class, "MessQuerschnittModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anschlussStelleModelEClass, AnschlussStelleModel.class, "AnschlussStelleModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAnschlussStelleModel_Staerke(), ecorePackage.getEInt(), "Staerke", null, 0, 1, AnschlussStelleModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(freeFormFahrStreifenModelEClass, FreeFormFahrStreifenModel.class, "FreeFormFahrStreifenModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getFreeFormFahrStreifenModel_Punkte(), theGefPackage.getPointList(), "Punkte", null, 0, 1, FreeFormFahrStreifenModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getFreeFormFahrStreifenModel_Background(), ecorePackage.getEJavaObject(), "Background", null, 0, 1, FreeFormFahrStreifenModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(detektorModelTypAbstractEClass, DetektorModelTypAbstract.class, "DetektorModelTypAbstract", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getDetektorModelTypAbstract_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, DetektorModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDetektorModelTypAbstract_Gerunded(), ecorePackage.getEBoolean(), "Gerunded", null, 0, 1, DetektorModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDetektorModelTypAbstract_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, DetektorModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDetektorModelTypAbstract_DataUpdate(), ecorePackage.getEJavaObject(), "DataUpdate", null, 0, 1, DetektorModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDetektorModelTypAbstract_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, DetektorModelTypAbstract.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(detektorLVEEClass, DetektorLVE.class, "DetektorLVE", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(streckenStationModelEClass, StreckenStationModel.class, "StreckenStationModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getStreckenStationModel_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, StreckenStationModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getStreckenStationModel_Kilometrierung(), ecorePackage.getEString(), "Kilometrierung", "", 0, 1, StreckenStationModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getStreckenStationModel_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, StreckenStationModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    g1 = createEGenericType(ecorePackage.getEEList());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEAttribute(getStreckenStationModel_Children(), g1, "Children", null, 0, 1, StreckenStationModel.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getStreckenStationModel_DataUpdate(), ecorePackage.getEJavaObject(), "DataUpdate", null, 0, 1, StreckenStationModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getStreckenStationModel_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, StreckenStationModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(ufdMessStelleModelEClass, UfdMessStelleModel.class, "UfdMessStelleModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getUfdMessStelleModel_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, UfdMessStelleModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getUfdMessStelleModel_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, UfdMessStelleModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    g1 = createEGenericType(ecorePackage.getEEList());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEAttribute(getUfdMessStelleModel_Sensoren(), g1, "Sensoren", null, 0, 1, UfdMessStelleModel.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getUfdMessStelleModel_DataUpdate(), ecorePackage.getEJavaObject(), "DataUpdate", null, 0, 1, UfdMessStelleModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getUfdMessStelleModel_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, UfdMessStelleModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(anzeigeModelUfdSensorFGBEClass, AnzeigeModelUfdSensorFGB.class, "AnzeigeModelUfdSensorFGB", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorFBTEClass, AnzeigeModelUfdSensorFBT.class, "AnzeigeModelUfdSensorFBT", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorFBZEClass, AnzeigeModelUfdSensorFBZ.class, "AnzeigeModelUfdSensorFBZ", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorGTEClass, AnzeigeModelUfdSensorGT.class, "AnzeigeModelUfdSensorGT", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorHKEClass, AnzeigeModelUfdSensorHK.class, "AnzeigeModelUfdSensorHK", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorLTEClass, AnzeigeModelUfdSensorLT.class, "AnzeigeModelUfdSensorLT", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorNIEClass, AnzeigeModelUfdSensorNI.class, "AnzeigeModelUfdSensorNI", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorNSEClass, AnzeigeModelUfdSensorNS.class, "AnzeigeModelUfdSensorNS", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorRLFEClass, AnzeigeModelUfdSensorRLF.class, "AnzeigeModelUfdSensorRLF", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorRSEClass, AnzeigeModelUfdSensorRS.class, "AnzeigeModelUfdSensorRS", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorSWEClass, AnzeigeModelUfdSensorSW.class, "AnzeigeModelUfdSensorSW", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorTPTEClass, AnzeigeModelUfdSensorTPT.class, "AnzeigeModelUfdSensorTPT", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorTT3EClass, AnzeigeModelUfdSensorTT3.class, "AnzeigeModelUfdSensorTT3", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorWFDEClass, AnzeigeModelUfdSensorWFD.class, "AnzeigeModelUfdSensorWFD", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorWGMEClass, AnzeigeModelUfdSensorWGM.class, "AnzeigeModelUfdSensorWGM", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorWGSEClass, AnzeigeModelUfdSensorWGS.class, "AnzeigeModelUfdSensorWGS", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSensorWREClass, AnzeigeModelUfdSensorWR.class, "AnzeigeModelUfdSensorWR", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdSbaMessStelleNSEClass, AnzeigeModelUfdSbaMessStelleNS.class, "AnzeigeModelUfdSbaMessStelleNS", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelUfdMessStelleNSEClass, AnzeigeModelUfdMessStelleNS.class, "AnzeigeModelUfdMessStelleNS", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(tabelleMqModelEClass, TabelleMqModel.class, "TabelleMqModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getTabelleMqModel_Bezeichnung(), ecorePackage.getEString(), "Bezeichnung", "", 0, 1, TabelleMqModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getTabelleMqModel_Kontext(), ecorePackage.getEInt(), "Kontext", null, 0, 1, TabelleMqModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    g1 = createEGenericType(ecorePackage.getEEList());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEAttribute(getTabelleMqModel_Children(), g1, "Children", null, 0, 1, TabelleMqModel.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getTabelleMqModel_DataUpdate(), ecorePackage.getEJavaObject(), "DataUpdate", null, 0, 1, TabelleMqModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getTabelleMqModel_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, TabelleMqModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(streckenStationModelA14EClass, StreckenStationModelA14.class, "StreckenStationModelA14", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelA81Typ1EClass, AnzeigeQuerschnittModelA81Typ1.class, "AnzeigeQuerschnittModelA81Typ1", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelA81EClass, AnzeigeQuerschnittModelA81.class, "AnzeigeQuerschnittModelA81", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelA81Typ2EClass, AnzeigeQuerschnittModelA81Typ2.class, "AnzeigeQuerschnittModelA81Typ2", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelA81Typ3EClass, AnzeigeQuerschnittModelA81Typ3.class, "AnzeigeQuerschnittModelA81Typ3", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeModelA81LsaEClass, AnzeigeModelA81Lsa.class, "AnzeigeModelA81Lsa", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTypA2_3spEClass, AnzeigeQuerschnittModelTypA2_3sp.class, "AnzeigeQuerschnittModelTypA2_3sp", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTypA2_3sp2EClass, AnzeigeQuerschnittModelTypA2_3sp2.class, "AnzeigeQuerschnittModelTypA2_3sp2", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTypA2_1spEClass, AnzeigeQuerschnittModelTypA2_1sp.class, "AnzeigeQuerschnittModelTypA2_1sp", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTypA2_1sp2EClass, AnzeigeQuerschnittModelTypA2_1sp2.class, "AnzeigeQuerschnittModelTypA2_1sp2", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(anzeigeQuerschnittModelTypA2_1sp3EClass, AnzeigeQuerschnittModelTypA2_1sp3.class, "AnzeigeQuerschnittModelTypA2_1sp3", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(pickerEClass, Picker.class, "Picker", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(pickerVerticalEClass, PickerVertical.class, "PickerVertical", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getPickerVertical_Hoehe(), ecorePackage.getEInt(), "Hoehe", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_Breite(), ecorePackage.getEInt(), "Breite", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_Distanz(), ecorePackage.getEInt(), "Distanz", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_YPosPickerTop(), ecorePackage.getEInt(), "YPosPickerTop", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_KilometrierungZuordnung(), ecorePackage.getEString(), "KilometrierungZuordnung", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_VonKm(), ecorePackage.getEDouble(), "VonKm", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_BisKm(), ecorePackage.getEDouble(), "BisKm", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_Sichtbar(), ecorePackage.getEBoolean(), "Sichtbar", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_Farbe(), theEclipsePackage.getRGB(), "Farbe", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_DarstellungUpdate(), ecorePackage.getEJavaObject(), "DarstellungUpdate", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_Versetzt(), ecorePackage.getEBoolean(), "Versetzt", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_Verschoben(), ecorePackage.getEBoolean(), "Verschoben", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerVertical_Verschiebbar(), ecorePackage.getEBoolean(), "Verschiebbar", null, 0, 1, PickerVertical.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(pickerParentEClass, PickerParent.class, "PickerParent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getPickerParent_Hoehe(), ecorePackage.getEInt(), "Hoehe", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_Breite(), ecorePackage.getEInt(), "Breite", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_Distanz(), ecorePackage.getEInt(), "Distanz", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_YPosPickerTop(), ecorePackage.getEInt(), "YPosPickerTop", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_KilometrierungZuordnung(), ecorePackage.getEString(), "KilometrierungZuordnung", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_TicksAnzeigen(), ecorePackage.getEBoolean(), "TicksAnzeigen", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_Fahrtrichtung(), ecorePackage.getEInt(), "Fahrtrichtung", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_ObjektTyp(), ecorePackage.getEString(), "ObjektTyp", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_FarbeVordergrund(), theEclipsePackage.getRGB(), "FarbeVordergrund", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_FarbeHintergrund(), theEclipsePackage.getRGB(), "FarbeHintergrund", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getPickerParent_Transparenz(), ecorePackage.getEInt(), "Transparenz", null, 0, 1, PickerParent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Create resource
    createResource(eNS_URI);
  }

} //AnlagendarstellungPackageImpl
