 
package de.bsvrz.buv.plugin.anlagendarstellung.legende;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.swt.graphics.Color;

/**
 * Anzeigequerschnittdefinition.
 * 
 * @author Pittner
 */
public enum LegendeDefinitionAnzeigeQuerschnittStatusBefehle {
	/** Unbekannt. */
	KEIN_ZUSTAND("kein Zustand", ColorConstants.orange);

	public static final String BEZEICHNUNG = "Zustand Befehle";

  /** Name des Zustandes. */
	private String name;
	
	/** Name des Zustandes. */
	private Color color;

	
	/**
	 * Privater Konstruktor.
	 * 
	 * @param name
	 *            Name des Zustandes
	 */
	private LegendeDefinitionAnzeigeQuerschnittStatusBefehle(final String name, Color color) {
	  this.name = name;
	  this.color = color;
	}

	/**
	 * Gibt den Namen des Zustandes zur&uuml;ck.
	 * 
	 * @return Name des Zustandes
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * Gibt die Farbe des Zustandes zur&uuml;ck.
	 * 
	 * @return Farbe des Zustandes
	 */
	public Color getColor() {
	  return color;
	}
	
  public String getBezeichnnung()
  {
    // TODO Auto-generated method stub
    return BEZEICHNUNG;
  }
}
