 
package de.bsvrz.buv.plugin.anlagendarstellung.legende;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.swt.graphics.Color;

/**
 * Anzeigestatusdefinition fr Behfehle.
 * 
 * @author Pittner
 */
public enum LegendeDefinitionAnzeigeStatusBefehle {
	/** Unbekannt. */
	KEIN_ZUSTAND("kein Zustand", ColorConstants.orange);

	public static final String BEZEICHNUNG = "Zustand Befehl";

  /** Name des Zustandes. */
	private String name;
	
	/** Name des Zustandes. */
	private Color color;
	
	/**
	 * Privater Konstruktor.
	 * 
	 * @param name
	 *            Name des Zustandes
	 */
	private LegendeDefinitionAnzeigeStatusBefehle(final String name, Color color) {
	  this.name = name;
	  this.color = color;
	}

	/**
	 * Gibt den Namen des Zustandes zur&uuml;ck.
	 * 
	 * @return Name des Zustandes
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * Gibt die Farbe des Zustandes zur&uuml;ck.
	 * 
	 * @return Farbe des Zustandes
	 */
	public Color getColor() {
	  return color;
	}
	
	 public String getBezeichnnung()
	  {
	    // TODO Auto-generated method stub
	    return BEZEICHNUNG;
	  }
}
