
package de.bsvrz.buv.plugin.anlagendarstellung.legende;


/**
 * Detektordefinition.
 * 
 * @author Pittner
 */
public enum LegendeDefinitionDetektorParam {

  /** Detektor-Undeifniert */
  DETEKTOR_UNDEFINIERT("keine Detektor-Information", "icons/legende/fs_det_gray_16x15.png");
  /** Detektor-Gestoert */
//	DETEKTOR_GESTOERT("gestrt", "icons/legende/fs_det_red_16x15.png"),
//
//	/** Detektor-Ok */
//	DETEKTOR_OK("Ok", "icons/legende/fs_det_white_16x15.png"),
//	/** Detektor-Passiviert */
//	DETEKTOR_PASSIVIERT("passiviert", "icons/legende/fs_det_yellow_16x15.png");


  public static final String BEZEICHNUNG = "Zustand";

  /** Name der Funktionsgruppe. */
	private String name;
	
	/** Farbe der Funktionsgruppe. */
	private String path;

	/**
	 * Privater Konstruktor.
	 * 
	 * @param name
	 *            Name des Zustandes
	 */
	private LegendeDefinitionDetektorParam(final String name, String path) {
		this.name = name;
		this.path = path;
	}

	/**
	 * Gibt den Namen der Funktionsgruppe zur&uuml;ck.
	 * 
	 * @return Name des Zustandes
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * Gibt den Namen der Funktionsgruppe zur&uuml;ck.
	 * 
	 * @return Name des Zustandes
	 */
	public String getPfad() {
	  return path;
	}
	
	 public String getBezeichnnung()
	  {
	    // TODO Auto-generated method stub
	    return BEZEICHNUNG;
	  }
	
}
