
package de.bsvrz.buv.plugin.anlagendarstellung.legende;


/**
 * Tabellendefinition.
 * 
 * @author Pittner
 */
public enum LegendeDefinitionTabelle {

  /** Detektor-Undeifniert */
  TABELLE_DATEN("Analysedaten", "icons/legende/tabelle_analyse_daten.png"),
  /** Detektor-Gestoert */
	TABELLE_KEINE_DATEN("keine Quelle/keine Daten", "icons/legende/tabelle_keine_daten.png");


  public static final String BEZEICHNUNG = "Zustand";

  /** Name der Funktionsgruppe. */
	private String name;
	
	/** Farbe der Funktionsgruppe. */
	private String path;

	/**
	 * Privater Konstruktor.
	 * 
	 * @param name
	 *            Name des Zustandes
	 */
	private LegendeDefinitionTabelle(final String name, String path) {
		this.name = name;
		this.path = path;
	}

	/**
	 * Gibt den Namen der Funktionsgruppe zur&uuml;ck.
	 * 
	 * @return Name des Zustandes
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * Gibt den Namen der Funktionsgruppe zur&uuml;ck.
	 * 
	 * @return Name des Zustandes
	 */
	public String getPfad() {
	  return path;
	}
	
	 
	
	 public String getBezeichnnung()
   {
     // TODO Auto-generated method stub
     return BEZEICHNUNG;
   }
	
}
