/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.anlagendarstellung.model;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * Typklasse fr Anschlussstellen
 * 
 * @author Pittner
 * 
 */
public class AnschlussStelleTyp
{
  private static List typen = new ArrayList();
  public static AnschlussStelleTyp ZUFAHRT_LINKS = new AnschlussStelleTyp("zufahrt.links");
  public static AnschlussStelleTyp ZUFAHRT_RECHTS = new AnschlussStelleTyp("zufahrt.rechts");
  public static AnschlussStelleTyp ABFAHRT_LINKS = new AnschlussStelleTyp("abfahrt.links");
  public static AnschlussStelleTyp ABFAHRT_RECHTS = new AnschlussStelleTyp("abfahrt.rechts");
  public static AnschlussStelleTyp UNDEFINIERT = new AnschlussStelleTyp("undefiniert");
  private String type;

  private AnschlussStelleTyp(String type)
  {
    this.type = type;
    typen.add(this);
  }

  /**
   * @return Returns the type.
   */
  public String getType()
  {
    return type;
  }

  /**
   * @return Returns the type.
   */
  public static AnschlussStelleTyp getTypeType(int kontext)
  {
    AnschlussStelleTyp typ = null;

    switch (kontext)
    {    
      case 0:
        typ = AnschlussStelleTyp.ZUFAHRT_LINKS;
        break;
      case 1:
        typ = AnschlussStelleTyp.ZUFAHRT_RECHTS;
        break;
      case 2:
        typ = AnschlussStelleTyp.ABFAHRT_LINKS;
        break;
      case 3:
        typ = AnschlussStelleTyp.ABFAHRT_RECHTS;
        break;
      default:

    }
    return typ;
  }

  public static boolean hasType(String type)
  {
    return typen.contains(type.toUpperCase());
  }

  public static String getTypes()
  {
    StringBuffer typeBuffer = new StringBuffer();
    for (Iterator iter = typen.iterator(); iter.hasNext();)
    {
      // String element = (String) iter.next();
      AnschlussStelleTyp typ = (AnschlussStelleTyp)iter.next();
      String element = typ.getType();
      typeBuffer.append(element).append(", ");
    }
    if (typen.size() >= 1)
    {
      typeBuffer.delete(typeBuffer.length() - 2, typeBuffer.length());
    }
    return typeBuffer.toString();
  }

  public static List getTypesAsList()
  {
    return typen;
  }

  /*
   * (non-Javadoc)
   * 
   * @see de.bsvrz.buv.plugin.anlagendarstellung.status.Status#setStatus(java.lang.String)
   */
  public static AnschlussStelleTyp setTyp(String s)
  {
    // TODO Auto-generated method stub
    AnschlussStelleTyp ait = null;
    if (s.equals(ZUFAHRT_LINKS.getType()))
      ait = ZUFAHRT_LINKS;
    else if (s.equals(ZUFAHRT_RECHTS.getType()))
      ait = ZUFAHRT_RECHTS;
    else if (s.equals(ABFAHRT_LINKS.getType()))
      ait = ABFAHRT_LINKS;
    else if (s.equals(ABFAHRT_RECHTS.getType()))
      ait = ABFAHRT_RECHTS;

    return ait;
  }

}
