/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.anlagendarstellung.model;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * Typklasse fr Anzeigen
 * 
 * @author Pittner
 * 
 */
public class AnzeigeElementTyp
{

  private static List typen = new ArrayList();

  public static AnzeigeElementTyp WZG_A = new AnzeigeElementTyp("WZG-A");

  public static AnzeigeElementTyp WZG_A2 = new AnzeigeElementTyp("WZG-A2");

  public static AnzeigeElementTyp WZG_A_GESCHW = new AnzeigeElementTyp("WZG-A-GESCHW");

  public static AnzeigeElementTyp WZG_A_DWISTA = new AnzeigeElementTyp("WZG-A-DWISTA");

  public static AnzeigeElementTyp WZG_B = new AnzeigeElementTyp("WZG-B");
  
  public static AnzeigeElementTyp WZG_BAG = new AnzeigeElementTyp("WZG-BAG");

  public static AnzeigeElementTyp WZG_B_DWISTA = new AnzeigeElementTyp("WZG-B-DWISTA");

  public static AnzeigeElementTyp WZG_C = new AnzeigeElementTyp("WZG-C");

  public static AnzeigeElementTyp WZG_C2 = new AnzeigeElementTyp("WZG-C2");

  public static AnzeigeElementTyp WZG_D2 = new AnzeigeElementTyp("WZG-D2");

  public static AnzeigeElementTyp PR_T = new AnzeigeElementTyp("PR-T");

  public static AnzeigeElementTyp PR_T2 = new AnzeigeElementTyp("PR-T2");

  public static AnzeigeElementTyp PR_W = new AnzeigeElementTyp("PR-W");

  public static AnzeigeElementTyp PR_W1 = new AnzeigeElementTyp("PR-W1");

  public static AnzeigeElementTyp PR_W11 = new AnzeigeElementTyp("PR-W11");

  public static AnzeigeElementTyp PR_W2 = new AnzeigeElementTyp("PR-W2");

  public static AnzeigeElementTyp BLINKER = new AnzeigeElementTyp("Blinker");

  // public static AnzeigeElementTyp WZG_D = new AnzeigeElementTyp("WZG-D");

  public static AnzeigeElementTyp PROGRAMM = new AnzeigeElementTyp("Programm");

  public static AnzeigeElementTyp BLINKER_PROGRAMM = new AnzeigeElementTyp("Blinker-Programm");

  public static AnzeigeElementTyp FREITEXT = new AnzeigeElementTyp("Freitext");

  public static AnzeigeElementTyp FREITEXT2 = new AnzeigeElementTyp("Freitext2");

  public static AnzeigeElementTyp BLINKER_B = new AnzeigeElementTyp("Blinker-WZG-B");

  public static AnzeigeElementTyp STRECKEN_STATION = new AnzeigeElementTyp("StreckenStation");

  public static AnzeigeElementTyp STRECKEN_STATION_A14 = new AnzeigeElementTyp("StreckenStationA14");
  
  public static AnzeigeElementTyp LSA_A81 = new AnzeigeElementTyp("LsaA81");

  private String type;

  private AnzeigeElementTyp(String type)
  {
    this.type = type;
    String typeToAdd = this.getType();
    typen.add(typeToAdd);
  }

  /**
   * @return Returns the type.
   */
  public String getType()
  {
    return type;
  }

  public static boolean hasType(String type)
  {
    return typen.contains(type.toUpperCase());
  }

  public static String getTypes()
  {
    StringBuffer typeBuffer = new StringBuffer();
    for (Iterator iter = typen.iterator(); iter.hasNext();)
    {
      String element = (String)iter.next();
      typeBuffer.append(element).append(", ");
    }
    if (typen.size() >= 1)
    {
      typeBuffer.delete(typeBuffer.length() - 2, typeBuffer.length());
    }
    return typeBuffer.toString();
  }
}
