/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.anlagendarstellung.status;

import org.eclipse.swt.graphics.Color;

/**
 * Klasse, die den Status eines Datenendgertes kapselt
 * 
 * @author Pittner
 * 
 */
public class StatusDe implements Status
{

  private String _status;

  public StatusDe()
  {
    _status = NICHT_DEFINIERT;
  }

  public String getStatus()
  {
    return _status;
  }

  public boolean setStatus(String status)
  {
    if (!(status.equals(OK) || status.equals(STOERUNG_EAK) || status.equals(STOERUNG_SM) || status.equals(KEINE_DATEN)
        || status.equals(KEINE_QUELLE) || status.equals(NICHT_DEFINIERT)))
    {
      return false;
    }
    _status = status;

    return true;
  }

  public Color getColor()
  {
    return null;
  }

}
