/*******************************************************************************
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 ******************************************************************************/
/*
 * Rahmenwerk-Plug-in "Baustellen- und Unfalleingabe"
 * Copyright (C) 2009 BitCtrl Systems GmbH 
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */
package de.bsvrz.buv.plugin.baueditor.sts;

/**
 * Klasse, welches Konstanten mit relativen Dateipfadangaben fr Bilder
 * bereitstellt.
 * 
 * @author BitCtrl Systems GmbH, Andreas Meissner
 * @version $Id: BildDateiPfade.java,v 1.2 2014/11/14 07:29:41 Pittner Exp $
 */
public final class BildDateiPfade {

	/**
	 * Privater Kontruktor.
	 */
	private BildDateiPfade() {
		// nur zur Beruhigung von CheckStyle
	}

	/**
	 * Symbol (16x16) fr Warnungen.
	 */
	public static final String WARNUNG = "icons/warnung.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Engstellen.
	 */
	public static final String ENGSTELLE = "icons/engstelle.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Baustellen.
	 */
	public static final String BAUSTELLE = "icons/baustelle.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Staus.
	 */
	public static final String STAU = "icons/stau.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Baustelle anlegen".
	 */
	public static final String BAUSTELLE_ANLEGEN = "icons/baustelle_anlegen.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Unflle.
	 */
	public static final String UNFALL = "icons/unfall.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Unfall anlegen".
	 */
	public static final String UNFALL_ANLEGEN = "icons/unfall_anlegen.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Straen.
	 */
	public static final String STRASSE = "icons/strasse.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr die positive Straenrichtung.
	 */
	public static final String RICHTUNG_POSITIV = "icons/richtung_positiv.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr die negative Straenrichtung (Gegenrichtung).
	 */
	public static final String RICHTUNG_NEGATIV = "icons/richtung_negativ.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Aktualisieren".
	 */
	public static final String AKTUALISIEREN = "icons/aktualisieren.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Lschen".
	 */
	public static final String ENTFERNEN = "icons/entfernen.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Bearbeiten".
	 */
	public static final String BEARBEITEN = "icons/bearbeiten.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Alles zusammenklappen".
	 */
	public static final String ALLES_ZUSAMMENKLAPPEN = "icons/alles_zusammenklappen.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Alles aufklappen".
	 */
	public static final String ALLES_AUFKLAPPEN = "icons/alles_aufklappen.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Filter.
	 */
	public static final String FILTER = "icons/filter.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Aktuelle Zeit".
	 */
	public static final String AKTUELLE_ZEIT = "icons/aktuelle_zeit.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Verknpfe mit Editor".
	 */
	public static final String VERKNUEPFE_MIT_EDITOR = "icons/verknuepfe_mit_editor.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Verknpfe mit Engstellen-Navigator" und
	 * "Verknpfe Selektionen".
	 */
	public static final String VERKNUEPFEN = "icons/verknuepfe.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Neuer Ereignistyp anlegen".
	 */
	public static final String EREIGNISTYP_ANLEGEN = "icons/ereignistyp_anlegen.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr Aktion "Ereignistypen aktualisieren".
	 */
	public static final String EREIGNISTYPEN_AKTUALISIEREN = "icons/ereignistypen_aktualisieren.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr die Ansicht "Engstellen".
	 */
	public static final String ANSICHT_ENGSTELLEN = "icons/engstellen.gif"; //$NON-NLS-1$

	/**
	 * Symbol (16x16) fr die Ansicht "Engstellen-Navigator".
	 */
	public static final String ANSICHT_ENGSTELLEN_NAVIGATOR = "icons/engstellen_navigator.gif"; //$NON-NLS-1$
}
