/*******************************************************************************
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 ******************************************************************************/
/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.parameter.ufd.common;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;

import org.eclipse.jface.viewers.DoubleClickEvent;
import org.eclipse.jface.viewers.IDoubleClickListener;
import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.ISelectionChangedListener;
import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.SelectionChangedEvent;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableColumn;
import org.eclipse.ui.IViewReference;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.internal.WorkbenchPage;
import org.eclipse.ui.part.ViewPart;

import de.bsvrz.buv.plugin.parameter.ufd.Activator;
import de.bsvrz.buv.plugin.parameter.ufd.dav.DaVKommunikation;
import de.bsvrz.buv.plugin.parameter.ufd.dav.Tools;
import de.bsvrz.buv.plugin.parameter.ufd.nsparam.NSViewParameter;
import de.bsvrz.dav.daf.main.ClientDavInterface;
import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.dav.daf.main.config.SystemObjectType;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * Auswahl von Konfigurationsobjekten und deren bergabe an eine View, die detached 
 * geffnet wird
 * 
 * @author Sans
 *
 */
public abstract class AbstractAuswahlViewParameter extends ViewPart implements IViewInfo
{

  private Composite _parent;
  
  private Composite _compositeTop;

  private Group _gruppeUebersicht;

  private Table _tabelleKmdPar;

  private TableViewer _tableViewerKmdPar;

  private ISelectionChangedListener _selectionChangedListener;

  private Composite _compositeBottom;

  private Button _buttonOk;

  private Button _buttonAbbrechen;

  private ClientDavInterface _connection;

  private Button _buttonHilfe;
  
  /**
   * 
   * @return den Objekttyp des DAV, dessen Objekte in der Liste angezeigt werden
   */
  protected abstract String getObjectType();
  
  /**
   * 
   * @return die Hilfe-ID fr diesen Hilfe-Kontext
   */
  protected abstract String getHelpId();
  
  /**
   * 
   * @return den Beschreibungstext
   */
  protected abstract String getDescription();
  
  @Override
  /**
   * Liefert die ID der zu ffnenden View
   */
  public abstract String getViewId();
  
  @Override
  /**
   * Liefert die Grsse (detached) der zu ffnenenden View
   */
  public abstract Point getViewSize();

  @Override
  public void createPartControl(Composite parent)
  {
    _parent = parent;

    //Fr die F1 Taste
    PlatformUI.getWorkbench().getHelpSystem().setHelp( _parent, getHelpId() );

    _parent.setLayout(new GridLayout());
    createCompositeTop(_parent);
    createCompositeBottom(_parent);
    _connection = DaVKommunikation.getInstanz().holeDaVVerbindung();

    List<SystemObject> sortList = new ArrayList<SystemObject>();
    
    if (_connection != null) {
      SystemObjectType type = _connection.getDataModel().getType(getObjectType());
   
      List<SystemObject> objects = type.getElements();

      Map<String, SystemObject> treeMap = new TreeMap<String, SystemObject>();
      for (SystemObject so : objects)
      {
        if (so.isValid() && !so.getPid().startsWith("swarco.pua")) {
          treeMap.put(Tools.getName(so), so);
        }  
      }
      
      sortList.addAll(treeMap.values());

    }
    
    _tableViewerKmdPar.setInput(sortList);

  }

  @Override
  public void setFocus()
  {
    //Fr die F1 Taste
    if (_parent != null)
      _parent.setFocus();

  }

  /**
   * Erzeugt gruppeUebersicht
   * 
   */
  private void createCompositeTop(Composite parent)
  {
    GridData gridData = new GridData();
    gridData.horizontalAlignment = GridData.FILL;
    gridData.grabExcessVerticalSpace = true;
    gridData.grabExcessHorizontalSpace = true;
    gridData.verticalAlignment = GridData.FILL;
    _compositeTop = new Composite(parent, SWT.NONE);
    _compositeTop.setLayout(new GridLayout());
    _compositeTop.setLayoutData(gridData);
    GridData gridDataTabelle = new GridData();
    gridDataTabelle.horizontalAlignment = GridData.FILL;
    gridDataTabelle.grabExcessHorizontalSpace = true;
    gridDataTabelle.grabExcessVerticalSpace = true;
    gridDataTabelle.verticalAlignment = GridData.FILL;
    GridData gridDataGruppeUebersicht = new GridData();
    gridDataGruppeUebersicht.horizontalAlignment = GridData.FILL;
    gridDataGruppeUebersicht.grabExcessHorizontalSpace = true;
    gridDataGruppeUebersicht.grabExcessVerticalSpace = true;
    gridDataGruppeUebersicht.verticalAlignment = GridData.FILL;
    _gruppeUebersicht = new Group(_compositeTop, SWT.NONE);
    _gruppeUebersicht.setLayout(new GridLayout());
    _gruppeUebersicht.setLayoutData(gridDataGruppeUebersicht);
    _gruppeUebersicht.setText(getDescription());
    _tabelleKmdPar = new Table(_gruppeUebersicht, SWT.BORDER | SWT.MULTI | SWT.FULL_SELECTION);
    _tabelleKmdPar.setHeaderVisible(true);
    _tabelleKmdPar.setLayoutData(gridDataTabelle);
    _tabelleKmdPar.setLinesVisible(true);
    _tableViewerKmdPar = new TableViewer(_tabelleKmdPar);
    // _tableViewerKmdPar = new CheckboxTableViewer(_tabelleKmdPar);

    TableColumn tcKey = new TableColumn(_tabelleKmdPar, SWT.LEFT);
    tcKey.setText("Name:");
    tcKey.setWidth(300);

    TableColumn tcValue = new TableColumn(_tabelleKmdPar, SWT.LEFT);
    tcValue.setText("Pid:");
    tcValue.setWidth(300);

    _tableViewerKmdPar.setContentProvider(new ContentProvider());
    _tableViewerKmdPar.setLabelProvider(new LabelProvider());

    _selectionChangedListener = new ISelectionChangedListener() {
          public void selectionChanged(SelectionChangedEvent event)
      {
        IStructuredSelection selection = (IStructuredSelection)event.getSelection();
        _buttonOk.setEnabled(!selection.isEmpty());
        
//        Object firstElement = selection.getFirstElement();
//        if (firstElement instanceof SystemObject) {
//        }
      }

    };
    _tableViewerKmdPar.addSelectionChangedListener(_selectionChangedListener);
    _tableViewerKmdPar.addDoubleClickListener(new IDoubleClickListener() {

      @Override
      public void doubleClick(DoubleClickEvent event)
      {
        createViewFromSelection();       
      }

    });
  }
    
  private void createViewFromSelection()
  {
    IStructuredSelection selection = (IStructuredSelection)_tableViewerKmdPar.getSelection();
    
    Object firstElement = selection.getFirstElement();
    if (firstElement instanceof SystemObject)
    {      
        Object[] array = selection.toArray();
        List<SystemObject> listKBA = new ArrayList<SystemObject>();
         
        for (Object object : array)
        {
          SystemObject so = (SystemObject)object;
          listKBA.add(so);          
        }
        IWorkbenchWindow dw = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
        IWorkbenchPage page = dw.getActivePage();
        try
        {
          if (listKBA.size() > 0){
            
            StringBuffer sb = new StringBuffer();
            for (int i = 0; i < listKBA.size(); i++)
            {
              SystemObject so = listKBA.get(i);
              if (i<listKBA.size()-1)
                sb.append(so.getPid() + ";");
              else
                sb.append(so.getPid());
              
            }
            
            String viewId = getViewId();
            page.showView(viewId, sb.toString(), IWorkbenchPage.VIEW_CREATE);
            IViewReference ref = page.findViewReference(viewId, sb.toString());
            ((WorkbenchPage)page).getActivePerspective().getPresentation().detachPart(ref);
            IWorkbenchPart wbPart = ref.getPart(false);
            Shell shell = wbPart.getSite().getShell();
            shell.setSize(getViewSize());
                       
          }        
        }
        catch (PartInitException e)
        {
          e.printStackTrace();
        }
     }
  }
  
  private void createCompositeBottom(Composite parent)
  {
    RowLayout rowLayout = new RowLayout();
    rowLayout.pack = false;
    GridData gridData3 = new GridData();
    gridData3.horizontalAlignment = GridData.END;
    gridData3.grabExcessHorizontalSpace = true;
    gridData3.verticalAlignment = GridData.CENTER;
    _compositeBottom = new Composite(parent, SWT.NONE);
    _compositeBottom.setLayoutData(gridData3);
    _compositeBottom.setLayout(rowLayout);
    _buttonOk = new Button(_compositeBottom, SWT.NONE);
    _buttonOk.setText("Ok");
    _buttonOk.setEnabled(_tabelleKmdPar.getSelectionCount() > 0);
    _buttonOk.addSelectionListener(new SelectionAdapter() {

      @Override
      public void widgetSelected(SelectionEvent e)
      {
         createViewFromSelection();       
      }
  
    });

    _buttonAbbrechen = new Button(_compositeBottom, SWT.NONE);
    _buttonAbbrechen.setText("Abbrechen");
    _buttonAbbrechen.addSelectionListener(new SelectionAdapter() {

      @Override
      public void widgetSelected(SelectionEvent e)
      {
        aktionAbbrechen();
      }

    });
    
    _buttonHilfe = new Button(_compositeBottom, SWT.NONE);
    _buttonHilfe.setText("Hilfe");
    _buttonHilfe.addSelectionListener(new SelectionAdapter() {

      @Override
      public void widgetSelected(SelectionEvent e)
      {
        aktionHilfe();
      }

    });
  }

  protected void aktionAbbrechen()
  {
    PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().hideView(this);
  }

  /**
   * Zeigt die Hilfe zum Dialog an.
   * 
   */
  protected void aktionHilfe()
  {
    PlatformUI.getWorkbench().getHelpSystem().displayHelp(getHelpId());
  }

  private class ContentProvider implements IStructuredContentProvider
  {
    @Override
    public Object[] getElements(Object inputElement)
    {
      List list = (List)inputElement;

      Object[] re = new Object[list.size()];

      for (int i = 0; i < list.size(); i++)
      {
        re[i] = list.get(i);
      }
      return re;
    }

    @Override
    public void dispose()
    {
    }

    @Override
    public void inputChanged(Viewer viewer, Object oldInput, Object newInput)
    {
    }

  }

  private class LabelProvider implements ITableLabelProvider
  {

    @Override
    public Image getColumnImage(Object element, int columnIndex)
    {
      return null;
    }

    @Override
    public String getColumnText(Object element, int columnIndex)
    {

      String returnString = null;

      switch (columnIndex)
      {
        case 0:
          returnString = (Tools.getName((SystemObject)element));
          break;
        case 1:
          returnString = ((SystemObject)element).getPid();
          break;

        default:
          returnString = "default";
      }

      return returnString;

    }

    @Override
    public void addListener(ILabelProviderListener listener)
    {
    }

    @Override
    public void dispose()
    {
    }

    @Override
    public boolean isLabelProperty(Object element, String property)
    {
      return false;
    }

    @Override
    public void removeListener(ILabelProviderListener listener)
    {
    }

  }

}
