package de.bsvrz.buv.plugin.pua.basis.expose;

import java.util.Collection;

/**
 * Erweiterung der Schnittstelle IProjektInfo fr die Konvertierung nichtnumerischer Werte in
 * numerische Werte zur Anzeige in Ganglinien
 * 
 * @author Sans
 *
 */
public interface IPIGanglinienKonvertierung extends IProjektInfo
{
  /**
   * 
   * @param attribut Attributname
   * @return <code>true</code>, wenn fr das bergebene Attribut eine Konvertierung definiert ist, <code>false</code> sonst
   */
  public boolean isAttributKonvertierbar(String attribut);
  
  /**
   * Liefert einen Zahlenwert als String zu einem Wert, der nichtnumerisch sein kann
   *    * 
   * @param attribut Attributname
   * @param wert nichtnumerischer Wert des Attributs
   * @param objekt Objektname, optional
   * @return numerischen Wert oder <code>null</code>, falls fr Attribut oder Wert keine Konvertierung definiert
   */
  public String getWertKonvertiert(String attribut, String wert, String objekt);
   
  /**
   * 
   * @param attribut Attributname
   * @return den ggf konvertierten Attributnamen zum bergabewert oder den bergabewert, wenn nicht als konvertierbar definiert
   */
  public String getAttributKonvertiert(String attribut);
  
  /**
   * 
   * @return 'Steilheit' der 'senkrechten' Anteile einer zu erganzenden Treppenfunktion - bei 0 werden keine Werte fr
   * Treppenfunktion ergnzt
   */
  public long getMilliesTreppenfunktionErgaenzen();
  
  /**
   * 
   * @return soll am Anfang der Ganglinie 'aufgefllt' werden?
   */
  public boolean anfangAuffuellen();
  
  /**
   * 
   * @return soll am Ende der Ganglinie 'aufgefllt' werden?
   */
  public boolean endeAuffuellen();
  
  /**
   * 
   * @return Werte, die nicht fr die Ganglienienberechnung in Betracht kommen
   */
  public Collection<String> getZuIgnorierendeWerte();
 
}
