/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.pua.basis.font;

public class VisuAnzeigeKapsel
{
  private String[] _pidsZeichen;
  private String _schriftart;
  private String _ausrichtung;
  private int _abstand;
  private boolean _inaktiv = false;
  
  public VisuAnzeigeKapsel()
  {
    // TODO Auto-generated constructor stub
  }
  
  public VisuAnzeigeKapsel(String[] pidsZeichen, String schriftart, String ausrichtung, int abstand)
  {
    _pidsZeichen = pidsZeichen;
    _schriftart = schriftart;
    _ausrichtung = ausrichtung;
    _abstand = abstand;
  }

  public String[] getPidsZeichen()
  {
    return _pidsZeichen;
  }

  public void setPidsZeichen(String[] pidsZeichen)
  {
    _pidsZeichen = pidsZeichen;
  }

  public String getSchriftart()
  {
    return _schriftart;
  }
  
  public String toString()
  {
    StringBuffer sb = new StringBuffer();
    for (int i = 0; i < _pidsZeichen.length; i++)
    {
      String s = _pidsZeichen[i];
      sb.append(s);      
    }
    
    return _schriftart + " " + _ausrichtung + " " + _abstand + " : " + sb.toString();
  }

  public void setSchriftart(String schriftart)
  {
    _schriftart = schriftart;
  }

  public String getAusrichtung()
  {
    return _ausrichtung;
  }

  public void setAusrichtung(String ausrichtung)
  {
    _ausrichtung = ausrichtung;
  }

  public void setInaktiv(boolean b)
  {
    // TODO Auto-generated method stub
    _inaktiv = b;
    
  }

  public boolean isInaktiv()
  {
    return _inaktiv;
  }

  public int getAbstand()
  {
    return _abstand;
  }

  public void setAbstand(int abstand)
  {
    _abstand = abstand;
  }
  
  
  
  @Override
  public boolean equals(Object arg0)
  {
    boolean ret = true;
    if (arg0 instanceof VisuAnzeigeKapsel)
    {
      VisuAnzeigeKapsel kapsel = (VisuAnzeigeKapsel)arg0;
      if (_schriftart != kapsel.getSchriftart())
        ret = false;
      if (_ausrichtung != kapsel.getAusrichtung())
        ret = false;
      if (_abstand != kapsel.getAbstand())
        ret = false;

      if (_pidsZeichen.length == kapsel.getPidsZeichen().length){
        for (int i = 0; i < _pidsZeichen.length; i++)
        {
         String s1 = _pidsZeichen[i];
         String s2 = kapsel.getPidsZeichen()[i];
         if (!s1.equals(s2)){
           ret = false;
           break;
         }          
        }        
      }else{
        ret = false;
      }
    }else{
      ret = false;
    }            
    return ret;          
  }
  
  
}
