/**
 * <copyright>
 * </copyright>
 *
 * $Id: StreckenprofilPackageImpl.java,v 1.4 2014/04/28 13:02:07 Pittner Exp $
 */
package de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl;

import java.util.Date;

import org.eclipse.birt.chart.model.attribute.AttributePackage;
import org.eclipse.birt.chart.model.component.ComponentPackage;
import org.eclipse.birt.chart.model.data.DataPackage;
import org.eclipse.birt.chart.model.layout.LayoutPackage;
import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EGenericType;
import org.eclipse.emf.ecore.EOperation;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.emf.ecore.ETypeParameter;
import org.eclipse.emf.ecore.impl.EPackageImpl;

import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AchsenBeschreibung;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.Activateable;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.ActivateableContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.ActivationState;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AeussererStreckenAbschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AlternativeStreckenAbschnitte;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AlternativeStreckenAbschnitteContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AnzeigeEigenschaften;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AnzeigeQuerschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.InnererStreckenAbschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.KilometrierungJavaNumberFormatSpecifier;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.LinienDicke;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.LinienEigenschaften;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.MessQuerschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.MessquerschnittNameFormatSpecifier;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.Named;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.RealerStreckenAbschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.SeriesType;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StoerfallIndikatorContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.Strecke;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenAbschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenEintraegeContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenEintrag;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenKnoten;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenTeilAbschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenZug;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenZugEintraegeContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenZugEintrag;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilEditorModel;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilFactory;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.SystemObjektContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypAnzeigen;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypDatenQuellen;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypObjektBezeichnung;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypPrognoseTyp;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypVerkehrsDaten;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.eclipse.EclipsePackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.eclipse.impl.EclipsePackageImpl;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.systemobjekte.SystemobjektePackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.systemobjekte.impl.SystemobjektePackageImpl;

/**
 * <!-- begin-user-doc --> An implementation of the model <b>Package</b>. <!--
 * end-user-doc -->
 * @generated
 */
public class StreckenprofilPackageImpl extends EPackageImpl implements
		StreckenprofilPackage {
	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenprofilEditorModelEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass namedEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass activateableEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass activateableContainerEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenZugEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenZugEintragEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenZugEintraegeContainerEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenEintraegeContainerEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass alternativeStreckenAbschnitteContainerEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckeEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass systemObjektContainerEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass stoerfallIndikatorContainerEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenEintragEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenKnotenEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenAbschnittEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass alternativeStreckenAbschnitteEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass realerStreckenAbschnittEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass aeussererStreckenAbschnittEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass innererStreckenAbschnittEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass messQuerschnittEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass streckenTeilAbschnittEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass anzeigeQuerschnittEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass linienEigenschaftenEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass diagrammEigenschaftenEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass achsenBeschreibungEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass kilometrierungJavaNumberFormatSpecifierEClass = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EClass messquerschnittNameFormatSpecifierEClass = null;

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EClass anzeigeEigenschaftenEClass = null;

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EEnum activationStateEEnum = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EEnum seriesTypeEEnum = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EEnum linienDickeEEnum = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EEnum typDatenQuellenEEnum = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EEnum typVerkehrsDatenEEnum = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EEnum typPrognoseTypEEnum = null;

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum typAnzeigenEEnum = null;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private EEnum typObjektBezeichnungEEnum = null;

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EDataType rgbEDataType = null;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private EDataType dateEDataType = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the
	 * package package URI value.
	 * <p>
	 * Note: the correct way to create the package is via the static factory
	 * method {@link #init init()}, which also performs initialization of the
	 * package, or returns the registered package, if one already exists. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private StreckenprofilPackageImpl() {
    super(eNS_URI, StreckenprofilFactory.eINSTANCE);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model,
	 * and for any others upon which it depends.
	 * 
	 * <p>
	 * This method is used to initialize {@link StreckenprofilPackage#eINSTANCE}
	 * when that field is accessed. Clients should not invoke it directly.
	 * Instead, they should simply access that field to obtain the package. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static StreckenprofilPackage init() {
    if (isInited) return (StreckenprofilPackage)EPackage.Registry.INSTANCE.getEPackage(StreckenprofilPackage.eNS_URI);

    // Obtain or create and register package
    StreckenprofilPackageImpl theStreckenprofilPackage = (StreckenprofilPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof StreckenprofilPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new StreckenprofilPackageImpl());

    isInited = true;

    // Initialize simple dependencies
    AttributePackage.eINSTANCE.eClass();
    ComponentPackage.eINSTANCE.eClass();
    DataPackage.eINSTANCE.eClass();
    LayoutPackage.eINSTANCE.eClass();

    // Obtain or create and register interdependencies
    SystemobjektePackageImpl theSystemobjektePackage = (SystemobjektePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SystemobjektePackage.eNS_URI) instanceof SystemobjektePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SystemobjektePackage.eNS_URI) : SystemobjektePackage.eINSTANCE);
    EclipsePackageImpl theEclipsePackage = (EclipsePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(EclipsePackage.eNS_URI) instanceof EclipsePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(EclipsePackage.eNS_URI) : EclipsePackage.eINSTANCE);

    // Create package meta-data objects
    theStreckenprofilPackage.createPackageContents();
    theSystemobjektePackage.createPackageContents();
    theEclipsePackage.createPackageContents();

    // Initialize created meta-data
    theStreckenprofilPackage.initializePackageContents();
    theSystemobjektePackage.initializePackageContents();
    theEclipsePackage.initializePackageContents();

    // Mark meta-data to indicate it can't be changed
    theStreckenprofilPackage.freeze();

  
    // Update the registry and return the package
    EPackage.Registry.INSTANCE.put(StreckenprofilPackage.eNS_URI, theStreckenprofilPackage);
    return theStreckenprofilPackage;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenprofilEditorModel() {
    return streckenprofilEditorModelEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenprofilEditorModel_StreckenZug() {
    return (EReference)streckenprofilEditorModelEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getStreckenprofilEditorModel_WegeCalculator() {
    return (EAttribute)streckenprofilEditorModelEClass.getEStructuralFeatures().get(3);
  }

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EReference getStreckenprofilEditorModel_AnzeigeEigenschaften()
  {
    return (EReference)streckenprofilEditorModelEClass.getEStructuralFeatures().get(4);
  }

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenprofilEditorModel_LineProperties() {
    return (EReference)streckenprofilEditorModelEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenprofilEditorModel_ChartProperties() {
    return (EReference)streckenprofilEditorModelEClass.getEStructuralFeatures().get(2);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getNamed() {
    return namedEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getNamed_Name() {
    return (EAttribute)namedEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getActivateable() {
    return activateableEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getActivateable_State() {
    return (EAttribute)activateableEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getActivateable_InternalState() {
    return (EAttribute)activateableEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getActivateable_ActivateableContainer() {
    return (EReference)activateableEClass.getEStructuralFeatures().get(2);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getActivateableContainer() {
    return activateableContainerEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getActivateableContainer_Activateables() {
    return (EReference)activateableContainerEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenZug() {
    return streckenZugEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getStreckenZug_StreckenzugName() {
    return (EAttribute)streckenZugEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenZugEintrag() {
    return streckenZugEintragEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getStreckenZugEintrag_WegBisher() {
    return (EAttribute)streckenZugEintragEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getStreckenZugEintrag_Laenge() {
    return (EAttribute)streckenZugEintragEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenZugEintraegeContainer() {
    return streckenZugEintraegeContainerEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenEintraegeContainer() {
    return streckenEintraegeContainerEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getAlternativeStreckenAbschnitteContainer() {
    return alternativeStreckenAbschnitteContainerEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getAlternativeStreckenAbschnitteContainer_InternalAktiverStreckenAbschnitt() {
    return (EReference)alternativeStreckenAbschnitteContainerEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getAlternativeStreckenAbschnitteContainer_AktiverStreckenAbschnitt() {
    return (EAttribute)alternativeStreckenAbschnitteContainerEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStrecke() {
    return streckeEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getStrecke_Richtung() {
    return (EAttribute)streckeEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getSystemObjektContainer() {
    return systemObjektContainerEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getSystemObjektContainer_ModellObjekt() {
    return (EAttribute)systemObjektContainerEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStoerfallIndikatorContainer() {
    return stoerfallIndikatorContainerEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenEintrag() {
    return streckenEintragEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenKnoten() {
    return streckenKnotenEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenKnoten_VonStrecke() {
    return (EReference)streckenKnotenEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenKnoten_NachStrecke() {
    return (EReference)streckenKnotenEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenAbschnitt() {
    return streckenAbschnittEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenAbschnitt_NachKnoten() {
    return (EReference)streckenAbschnittEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenAbschnitt_VonKnoten() {
    return (EReference)streckenAbschnittEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenAbschnitt_StreckenTeilAbschnitt() {
    return (EReference)streckenAbschnittEClass.getEStructuralFeatures().get(2);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getStreckenAbschnitt_AnzeigeQuerschnitt() {
    return (EReference)streckenAbschnittEClass.getEStructuralFeatures().get(3);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getAlternativeStreckenAbschnitte() {
    return alternativeStreckenAbschnitteEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getRealerStreckenAbschnitt() {
    return realerStreckenAbschnittEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getAeussererStreckenAbschnitt() {
    return aeussererStreckenAbschnittEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getInnererStreckenAbschnitt() {
    return innererStreckenAbschnittEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getMessQuerschnitt() {
    return messQuerschnittEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getStreckenTeilAbschnitt() {
    return streckenTeilAbschnittEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getAnzeigeQuerschnitt() {
    return anzeigeQuerschnittEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getLinienEigenschaften() {
    return linienEigenschaftenEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_LineStyle() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_LineThickness() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_TypDatenQuelle() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(2);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_TypVerkehrsDaten() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(3);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_SeriesType() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(4);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_Rgb() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(5);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_Visible() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(6);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_KnotenArt() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(7);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getLinienEigenschaften_KnotenFarbe() {
    return (EAttribute)linienEigenschaftenEClass.getEStructuralFeatures().get(8);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getDiagrammEigenschaften() {
    return diagrammEigenschaftenEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getDiagrammEigenschaften_TypPrognoseTyp() {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getDiagrammEigenschaften_XAxisType() {
    return (EReference)diagrammEigenschaftenEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getDiagrammEigenschaften_YAxisTypAnzahl() {
    return (EReference)diagrammEigenschaftenEClass.getEStructuralFeatures().get(2);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getDiagrammEigenschaften_YAxisTypeGeschwindigkeit() {
    return (EReference)diagrammEigenschaftenEClass.getEStructuralFeatures().get(3);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getDiagrammEigenschaften_YAxisBemessungsverkehrsstaerke() {
    return (EReference)diagrammEigenschaftenEClass.getEStructuralFeatures().get(4);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getDiagrammEigenschaften_YAxisBemessungsverkehrsdichte() {
    return (EReference)diagrammEigenschaftenEClass.getEStructuralFeatures().get(5);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getDiagrammEigenschaften_YAxisFahrezeugdichte() {
    return (EReference)diagrammEigenschaftenEClass.getEStructuralFeatures().get(6);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getDiagrammEigenschaften_YAxisLKWAnteil() {
    return (EReference)diagrammEigenschaftenEClass.getEStructuralFeatures().get(7);
  }

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getDiagrammEigenschaften_GeschwindigkeitsLimitLinieStat()
  {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(8);
  }

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getDiagrammEigenschaften_GeschwindigkeitsLimitIcons() {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(9);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getDiagrammEigenschaften_AnzeigeQuerschnitteIcons() {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(10);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getDiagrammEigenschaften_HistorieStartZeitpunkt() {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(11);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getDiagrammEigenschaften_HistorieEndZeitpunkt() {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(12);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getDiagrammEigenschaften_SkalierungXAchse() {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(13);
  }

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getDiagrammEigenschaften_TypObjektBezeichnung()
  {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(14);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getDiagrammEigenschaften_GeschwindigkeitsLimitLinieDyn()
  {
    return (EAttribute)diagrammEigenschaftenEClass.getEStructuralFeatures().get(15);
  }

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getAchsenBeschreibung() {
    return achsenBeschreibungEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getAchsenBeschreibung_AchsenTyp() {
    return (EAttribute)achsenBeschreibungEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getAchsenBeschreibung_Minimum() {
    return (EAttribute)achsenBeschreibungEClass.getEStructuralFeatures().get(1);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getAchsenBeschreibung_Maximum() {
    return (EAttribute)achsenBeschreibungEClass.getEStructuralFeatures().get(2);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getAchsenBeschreibung_AutomatischerWerteBereich() {
    return (EAttribute)achsenBeschreibungEClass.getEStructuralFeatures().get(3);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getAchsenBeschreibung_Achsenposition() {
    return (EAttribute)achsenBeschreibungEClass.getEStructuralFeatures().get(4);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getAchsenBeschreibung_Hilfslinien() {
    return (EAttribute)achsenBeschreibungEClass.getEStructuralFeatures().get(5);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EAttribute getAchsenBeschreibung_Schritte() {
    return (EAttribute)achsenBeschreibungEClass.getEStructuralFeatures().get(6);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getKilometrierungJavaNumberFormatSpecifier() {
    return kilometrierungJavaNumberFormatSpecifierEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EClass getMessquerschnittNameFormatSpecifier() {
    return messquerschnittNameFormatSpecifierEClass;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EReference getMessquerschnittNameFormatSpecifier_Streckenprofil() {
    return (EReference)messquerschnittNameFormatSpecifierEClass.getEStructuralFeatures().get(0);
  }

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EClass getAnzeigeEigenschaften()
  {
    return anzeigeEigenschaftenEClass;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EAttribute getAnzeigeEigenschaften_AnzeigeType()
  {
    return (EAttribute)anzeigeEigenschaftenEClass.getEStructuralFeatures().get(0);
  }

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EEnum getActivationState() {
    return activationStateEEnum;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EEnum getSeriesType() {
    return seriesTypeEEnum;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EEnum getLinienDicke() {
    return linienDickeEEnum;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EEnum getTypDatenQuellen() {
    return typDatenQuellenEEnum;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EEnum getTypVerkehrsDaten() {
    return typVerkehrsDatenEEnum;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EEnum getTypPrognoseTyp() {
    return typPrognoseTypEEnum;
  }

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getTypAnzeigen()
  {
    return typAnzeigenEEnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EEnum getTypObjektBezeichnung()
  {
    return typObjektBezeichnungEEnum;
  }

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EDataType getRGB() {
    return rgbEDataType;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EDataType getDate() {
    return dateEDataType;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public StreckenprofilFactory getStreckenprofilFactory() {
    return (StreckenprofilFactory)getEFactoryInstance();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private boolean isCreated = false;

	/**
   * Creates the meta-model objects for the package.  This method is
   * guarded to have no affect on any invocation but its first.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void createPackageContents() {
    if (isCreated) return;
    isCreated = true;

    // Create classes and their features
    streckenprofilEditorModelEClass = createEClass(STRECKENPROFIL_EDITOR_MODEL);
    createEReference(streckenprofilEditorModelEClass, STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG);
    createEReference(streckenprofilEditorModelEClass, STRECKENPROFIL_EDITOR_MODEL__LINE_PROPERTIES);
    createEReference(streckenprofilEditorModelEClass, STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES);
    createEAttribute(streckenprofilEditorModelEClass, STRECKENPROFIL_EDITOR_MODEL__WEGE_CALCULATOR);
    createEReference(streckenprofilEditorModelEClass, STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN);

    namedEClass = createEClass(NAMED);
    createEAttribute(namedEClass, NAMED__NAME);

    activateableEClass = createEClass(ACTIVATEABLE);
    createEAttribute(activateableEClass, ACTIVATEABLE__STATE);
    createEAttribute(activateableEClass, ACTIVATEABLE__INTERNAL_STATE);
    createEReference(activateableEClass, ACTIVATEABLE__ACTIVATEABLE_CONTAINER);

    activateableContainerEClass = createEClass(ACTIVATEABLE_CONTAINER);
    createEReference(activateableContainerEClass, ACTIVATEABLE_CONTAINER__ACTIVATEABLES);

    streckenZugEClass = createEClass(STRECKEN_ZUG);
    createEAttribute(streckenZugEClass, STRECKEN_ZUG__STRECKENZUG_NAME);

    streckenZugEintragEClass = createEClass(STRECKEN_ZUG_EINTRAG);
    createEAttribute(streckenZugEintragEClass, STRECKEN_ZUG_EINTRAG__WEG_BISHER);
    createEAttribute(streckenZugEintragEClass, STRECKEN_ZUG_EINTRAG__LAENGE);

    streckenZugEintraegeContainerEClass = createEClass(STRECKEN_ZUG_EINTRAEGE_CONTAINER);

    streckenEintraegeContainerEClass = createEClass(STRECKEN_EINTRAEGE_CONTAINER);

    alternativeStreckenAbschnitteContainerEClass = createEClass(ALTERNATIVE_STRECKEN_ABSCHNITTE_CONTAINER);
    createEReference(alternativeStreckenAbschnitteContainerEClass, ALTERNATIVE_STRECKEN_ABSCHNITTE_CONTAINER__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT);
    createEAttribute(alternativeStreckenAbschnitteContainerEClass, ALTERNATIVE_STRECKEN_ABSCHNITTE_CONTAINER__AKTIVER_STRECKEN_ABSCHNITT);

    streckeEClass = createEClass(STRECKE);
    createEAttribute(streckeEClass, STRECKE__RICHTUNG);

    systemObjektContainerEClass = createEClass(SYSTEM_OBJEKT_CONTAINER);
    createEAttribute(systemObjektContainerEClass, SYSTEM_OBJEKT_CONTAINER__MODELL_OBJEKT);

    stoerfallIndikatorContainerEClass = createEClass(STOERFALL_INDIKATOR_CONTAINER);

    streckenEintragEClass = createEClass(STRECKEN_EINTRAG);

    streckenKnotenEClass = createEClass(STRECKEN_KNOTEN);
    createEReference(streckenKnotenEClass, STRECKEN_KNOTEN__VON_STRECKE);
    createEReference(streckenKnotenEClass, STRECKEN_KNOTEN__NACH_STRECKE);

    streckenAbschnittEClass = createEClass(STRECKEN_ABSCHNITT);
    createEReference(streckenAbschnittEClass, STRECKEN_ABSCHNITT__NACH_KNOTEN);
    createEReference(streckenAbschnittEClass, STRECKEN_ABSCHNITT__VON_KNOTEN);
    createEReference(streckenAbschnittEClass, STRECKEN_ABSCHNITT__STRECKEN_TEIL_ABSCHNITT);
    createEReference(streckenAbschnittEClass, STRECKEN_ABSCHNITT__ANZEIGE_QUERSCHNITT);

    alternativeStreckenAbschnitteEClass = createEClass(ALTERNATIVE_STRECKEN_ABSCHNITTE);

    realerStreckenAbschnittEClass = createEClass(REALER_STRECKEN_ABSCHNITT);

    aeussererStreckenAbschnittEClass = createEClass(AEUSSERER_STRECKEN_ABSCHNITT);

    innererStreckenAbschnittEClass = createEClass(INNERER_STRECKEN_ABSCHNITT);

    messQuerschnittEClass = createEClass(MESS_QUERSCHNITT);

    streckenTeilAbschnittEClass = createEClass(STRECKEN_TEIL_ABSCHNITT);

    anzeigeQuerschnittEClass = createEClass(ANZEIGE_QUERSCHNITT);

    linienEigenschaftenEClass = createEClass(LINIEN_EIGENSCHAFTEN);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__LINE_STYLE);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__LINE_THICKNESS);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__TYP_DATEN_QUELLE);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__TYP_VERKEHRS_DATEN);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__SERIES_TYPE);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__RGB);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__VISIBLE);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__KNOTEN_ART);
    createEAttribute(linienEigenschaftenEClass, LINIEN_EIGENSCHAFTEN__KNOTEN_FARBE);

    diagrammEigenschaftenEClass = createEClass(DIAGRAMM_EIGENSCHAFTEN);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__TYP_PROGNOSE_TYP);
    createEReference(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE);
    createEReference(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL);
    createEReference(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT);
    createEReference(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE);
    createEReference(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE);
    createEReference(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE);
    createEReference(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_STAT);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_ICONS);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__ANZEIGE_QUERSCHNITTE_ICONS);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__HISTORIE_START_ZEITPUNKT);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__HISTORIE_END_ZEITPUNKT);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__SKALIERUNG_XACHSE);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__TYP_OBJEKT_BEZEICHNUNG);
    createEAttribute(diagrammEigenschaftenEClass, DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_DYN);

    achsenBeschreibungEClass = createEClass(ACHSEN_BESCHREIBUNG);
    createEAttribute(achsenBeschreibungEClass, ACHSEN_BESCHREIBUNG__ACHSEN_TYP);
    createEAttribute(achsenBeschreibungEClass, ACHSEN_BESCHREIBUNG__MINIMUM);
    createEAttribute(achsenBeschreibungEClass, ACHSEN_BESCHREIBUNG__MAXIMUM);
    createEAttribute(achsenBeschreibungEClass, ACHSEN_BESCHREIBUNG__AUTOMATISCHER_WERTE_BEREICH);
    createEAttribute(achsenBeschreibungEClass, ACHSEN_BESCHREIBUNG__ACHSENPOSITION);
    createEAttribute(achsenBeschreibungEClass, ACHSEN_BESCHREIBUNG__HILFSLINIEN);
    createEAttribute(achsenBeschreibungEClass, ACHSEN_BESCHREIBUNG__SCHRITTE);

    kilometrierungJavaNumberFormatSpecifierEClass = createEClass(KILOMETRIERUNG_JAVA_NUMBER_FORMAT_SPECIFIER);

    messquerschnittNameFormatSpecifierEClass = createEClass(MESSQUERSCHNITT_NAME_FORMAT_SPECIFIER);
    createEReference(messquerschnittNameFormatSpecifierEClass, MESSQUERSCHNITT_NAME_FORMAT_SPECIFIER__STRECKENPROFIL);

    anzeigeEigenschaftenEClass = createEClass(ANZEIGE_EIGENSCHAFTEN);
    createEAttribute(anzeigeEigenschaftenEClass, ANZEIGE_EIGENSCHAFTEN__ANZEIGE_TYPE);

    // Create enums
    activationStateEEnum = createEEnum(ACTIVATION_STATE);
    seriesTypeEEnum = createEEnum(SERIES_TYPE);
    linienDickeEEnum = createEEnum(LINIEN_DICKE);
    typDatenQuellenEEnum = createEEnum(TYP_DATEN_QUELLEN);
    typVerkehrsDatenEEnum = createEEnum(TYP_VERKEHRS_DATEN);
    typPrognoseTypEEnum = createEEnum(TYP_PROGNOSE_TYP);
    typAnzeigenEEnum = createEEnum(TYP_ANZEIGEN);
    typObjektBezeichnungEEnum = createEEnum(TYP_OBJEKT_BEZEICHNUNG);

    // Create data types
    rgbEDataType = createEDataType(RGB);
    dateEDataType = createEDataType(DATE);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model. This
	 * method is guarded to have no affect on any invocation but its first. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated
	 */
	public void initializePackageContents() {
    if (isInitialized) return;
    isInitialized = true;

    // Initialize package
    setName(eNAME);
    setNsPrefix(eNS_PREFIX);
    setNsURI(eNS_URI);

    // Obtain other dependent packages
    SystemobjektePackage theSystemobjektePackage = (SystemobjektePackage)EPackage.Registry.INSTANCE.getEPackage(SystemobjektePackage.eNS_URI);
    EclipsePackage theEclipsePackage = (EclipsePackage)EPackage.Registry.INSTANCE.getEPackage(EclipsePackage.eNS_URI);
    AttributePackage theAttributePackage = (AttributePackage)EPackage.Registry.INSTANCE.getEPackage(AttributePackage.eNS_URI);

    // Add subpackages
    getESubpackages().add(theSystemobjektePackage);
    getESubpackages().add(theEclipsePackage);

    // Create type parameters
    ETypeParameter activateableContainerEClass_T = addETypeParameter(activateableContainerEClass, "T");
    ETypeParameter streckenZugEintraegeContainerEClass_T = addETypeParameter(streckenZugEintraegeContainerEClass, "T");
    ETypeParameter streckenEintraegeContainerEClass_T = addETypeParameter(streckenEintraegeContainerEClass, "T");
    ETypeParameter alternativeStreckenAbschnitteContainerEClass_T = addETypeParameter(alternativeStreckenAbschnitteContainerEClass, "T");
    ETypeParameter systemObjektContainerEClass_T = addETypeParameter(systemObjektContainerEClass, "T");
    ETypeParameter stoerfallIndikatorContainerEClass_T = addETypeParameter(stoerfallIndikatorContainerEClass, "T");
    ETypeParameter realerStreckenAbschnittEClass_T = addETypeParameter(realerStreckenAbschnittEClass, "T");

    // Set bounds for type parameters
    EGenericType g1 = createEGenericType(this.getActivateable());
    activateableContainerEClass_T.getEBounds().add(g1);
    g1 = createEGenericType(this.getStreckenZugEintrag());
    streckenZugEintraegeContainerEClass_T.getEBounds().add(g1);
    g1 = createEGenericType(this.getStreckenEintrag());
    streckenEintraegeContainerEClass_T.getEBounds().add(g1);
    g1 = createEGenericType(this.getRealerStreckenAbschnitt());
    EGenericType g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    EGenericType g3 = createEGenericType(theSystemobjektePackage.getDaVStrassenSegment());
    g2.setEUpperBound(g3);
    alternativeStreckenAbschnitteContainerEClass_T.getEBounds().add(g1);
    g1 = createEGenericType(theSystemobjektePackage.getDaVSystemObjekt());
    systemObjektContainerEClass_T.getEBounds().add(g1);
    g1 = createEGenericType(theSystemobjektePackage.getDaVStoerfallIndikator());
    stoerfallIndikatorContainerEClass_T.getEBounds().add(g1);
    g1 = createEGenericType(theSystemobjektePackage.getDaVStrassenSegment());
    realerStreckenAbschnittEClass_T.getEBounds().add(g1);

    // Add supertypes to classes
    streckenprofilEditorModelEClass.getESuperTypes().add(ecorePackage.getEObject());
    namedEClass.getESuperTypes().add(ecorePackage.getEObject());
    activateableEClass.getESuperTypes().add(this.getNamed());
    activateableContainerEClass.getESuperTypes().add(this.getActivateable());
    g1 = createEGenericType(this.getStreckenZugEintraegeContainer());
    g2 = createEGenericType(this.getStrecke());
    g1.getETypeArguments().add(g2);
    streckenZugEClass.getEGenericSuperTypes().add(g1);
    streckenZugEintragEClass.getESuperTypes().add(this.getActivateable());
    g1 = createEGenericType(this.getActivateableContainer());
    g2 = createEGenericType(streckenZugEintraegeContainerEClass_T);
    g1.getETypeArguments().add(g2);
    streckenZugEintraegeContainerEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenZugEintrag());
    streckenZugEintraegeContainerEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenZugEintraegeContainer());
    g2 = createEGenericType(streckenEintraegeContainerEClass_T);
    g1.getETypeArguments().add(g2);
    streckenEintraegeContainerEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenEintraegeContainer());
    g2 = createEGenericType(alternativeStreckenAbschnitteContainerEClass_T);
    g1.getETypeArguments().add(g2);
    alternativeStreckenAbschnitteContainerEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenEintrag());
    alternativeStreckenAbschnitteContainerEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getSystemObjektContainer());
    g2 = createEGenericType(theSystemobjektePackage.getDaVStrasse());
    g1.getETypeArguments().add(g2);
    streckeEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenEintraegeContainer());
    g2 = createEGenericType(this.getStreckenEintrag());
    g1.getETypeArguments().add(g2);
    streckeEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenZugEintrag());
    streckeEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(theEclipsePackage.getComparable());
    g2 = createEGenericType(this.getStrecke());
    g1.getETypeArguments().add(g2);
    streckeEClass.getEGenericSuperTypes().add(g1);
    systemObjektContainerEClass.getESuperTypes().add(this.getNamed());
    g1 = createEGenericType(this.getSystemObjektContainer());
    g2 = createEGenericType(stoerfallIndikatorContainerEClass_T);
    g1.getETypeArguments().add(g2);
    stoerfallIndikatorContainerEClass.getEGenericSuperTypes().add(g1);
    streckenEintragEClass.getESuperTypes().add(this.getStreckenZugEintrag());
    g1 = createEGenericType(this.getStoerfallIndikatorContainer());
    g2 = createEGenericType(theSystemobjektePackage.getDaVStrassenKnoten());
    g1.getETypeArguments().add(g2);
    streckenKnotenEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getAlternativeStreckenAbschnitteContainer());
    g2 = createEGenericType(this.getInnererStreckenAbschnitt());
    g1.getETypeArguments().add(g2);
    streckenKnotenEClass.getEGenericSuperTypes().add(g1);
    streckenAbschnittEClass.getESuperTypes().add(this.getStreckenEintrag());
    g1 = createEGenericType(this.getAlternativeStreckenAbschnitteContainer());
    g2 = createEGenericType(this.getAeussererStreckenAbschnitt());
    g1.getETypeArguments().add(g2);
    alternativeStreckenAbschnitteEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenAbschnitt());
    alternativeStreckenAbschnitteEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStoerfallIndikatorContainer());
    g2 = createEGenericType(realerStreckenAbschnittEClass_T);
    g1.getETypeArguments().add(g2);
    realerStreckenAbschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenAbschnitt());
    realerStreckenAbschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getActivateableContainer());
    g2 = createEGenericType(this.getMessQuerschnitt());
    g1.getETypeArguments().add(g2);
    realerStreckenAbschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getRealerStreckenAbschnitt());
    g2 = createEGenericType(theSystemobjektePackage.getDaVAeusseresStrassenSegment());
    g1.getETypeArguments().add(g2);
    aeussererStreckenAbschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getRealerStreckenAbschnitt());
    g2 = createEGenericType(theSystemobjektePackage.getDaVInneresStrassenSegment());
    g1.getETypeArguments().add(g2);
    innererStreckenAbschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStoerfallIndikatorContainer());
    g2 = createEGenericType(theSystemobjektePackage.getDaVMessQuerschnittAllgemein());
    g1.getETypeArguments().add(g2);
    messQuerschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenZugEintrag());
    messQuerschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenZugEintrag());
    streckenTeilAbschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getSystemObjektContainer());
    g2 = createEGenericType(theSystemobjektePackage.getDavStrassenTeilSegment());
    g1.getETypeArguments().add(g2);
    streckenTeilAbschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getSystemObjektContainer());
    g2 = createEGenericType(theSystemobjektePackage.getDaVAnzeigeQuerschnitt());
    g1.getETypeArguments().add(g2);
    anzeigeQuerschnittEClass.getEGenericSuperTypes().add(g1);
    g1 = createEGenericType(this.getStreckenZugEintrag());
    anzeigeQuerschnittEClass.getEGenericSuperTypes().add(g1);
    kilometrierungJavaNumberFormatSpecifierEClass.getESuperTypes().add(theAttributePackage.getJavaNumberFormatSpecifier());
    messquerschnittNameFormatSpecifierEClass.getESuperTypes().add(theAttributePackage.getJavaNumberFormatSpecifier());

    // Initialize classes and features; add operations and parameters
    initEClass(streckenprofilEditorModelEClass, StreckenprofilEditorModel.class, "StreckenprofilEditorModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getStreckenprofilEditorModel_StreckenZug(), this.getStreckenZug(), null, "streckenZug", null, 0, 1, StreckenprofilEditorModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getStreckenprofilEditorModel_LineProperties(), this.getLinienEigenschaften(), null, "lineProperties", null, 0, -1, StreckenprofilEditorModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getStreckenprofilEditorModel_ChartProperties(), this.getDiagrammEigenschaften(), null, "chartProperties", null, 0, 1, StreckenprofilEditorModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getStreckenprofilEditorModel_WegeCalculator(), theEclipsePackage.getJob(), "wegeCalculator", null, 1, 1, StreckenprofilEditorModel.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getStreckenprofilEditorModel_AnzeigeEigenschaften(), this.getAnzeigeEigenschaften(), null, "anzeigeEigenschaften", null, 0, 1, StreckenprofilEditorModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(namedEClass, Named.class, "Named", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getNamed_Name(), ecorePackage.getEString(), "name", null, 1, 1, Named.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

    initEClass(activateableEClass, Activateable.class, "Activateable", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getActivateable_State(), this.getActivationState(), "state", "", 1, 1, Activateable.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
    initEAttribute(getActivateable_InternalState(), this.getActivationState(), "internalState", "", 1, 1, Activateable.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    g1 = createEGenericType(this.getActivateableContainer());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEReference(getActivateable_ActivateableContainer(), g1, this.getActivateableContainer_Activateables(), "activateableContainer", null, 0, 1, Activateable.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(activateableContainerEClass, ActivateableContainer.class, "ActivateableContainer", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    g1 = createEGenericType(activateableContainerEClass_T);
    initEReference(getActivateableContainer_Activateables(), g1, this.getActivateable_ActivateableContainer(), "activateables", null, 0, -1, ActivateableContainer.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(streckenZugEClass, StreckenZug.class, "StreckenZug", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getStreckenZug_StreckenzugName(), ecorePackage.getEString(), "streckenzugName", null, 0, 1, StreckenZug.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    addEOperation(streckenZugEClass, this.getStrecke(), "getStrecken", 1, -1, IS_UNIQUE, IS_ORDERED);

    addEOperation(streckenZugEClass, ecorePackage.getEString(), "getName", 0, 1, IS_UNIQUE, IS_ORDERED);

    EOperation op = addEOperation(streckenZugEClass, null, "setName", 0, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, ecorePackage.getEString(), "neuerName", 0, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(streckenZugEintragEClass, StreckenZugEintrag.class, "StreckenZugEintrag", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getStreckenZugEintrag_WegBisher(), ecorePackage.getEDouble(), "wegBisher", null, 0, 1, StreckenZugEintrag.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
    initEAttribute(getStreckenZugEintrag_Laenge(), ecorePackage.getEDoubleObject(), "laenge", null, 0, 1, StreckenZugEintrag.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

    addEOperation(streckenZugEintragEClass, ecorePackage.getEDoubleObject(), "computeLaenge", 0, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(streckenZugEintragEClass, this.getActivationState(), "getState", 1, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(streckenZugEintragEClass, null, "setState", 0, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, this.getActivationState(), "newValue", 1, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(streckenZugEintraegeContainerEClass, StreckenZugEintraegeContainer.class, "StreckenZugEintraegeContainer", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    op = addEOperation(streckenZugEintraegeContainerEClass, null, "getStreckenZugEintraege", 2, -1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(streckenZugEintraegeContainerEClass_T);
    initEOperation(op, g1);

    initEClass(streckenEintraegeContainerEClass, StreckenEintraegeContainer.class, "StreckenEintraegeContainer", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    op = addEOperation(streckenEintraegeContainerEClass, null, "getStreckenEintraege", 2, -1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(streckenEintraegeContainerEClass_T);
    initEOperation(op, g1);

    initEClass(alternativeStreckenAbschnitteContainerEClass, AlternativeStreckenAbschnitteContainer.class, "AlternativeStreckenAbschnitteContainer", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    g1 = createEGenericType(alternativeStreckenAbschnitteContainerEClass_T);
    initEReference(getAlternativeStreckenAbschnitteContainer_InternalAktiverStreckenAbschnitt(), g1, null, "internalAktiverStreckenAbschnitt", null, 0, 1, AlternativeStreckenAbschnitteContainer.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    g1 = createEGenericType(alternativeStreckenAbschnitteContainerEClass_T);
    initEAttribute(getAlternativeStreckenAbschnitteContainer_AktiverStreckenAbschnitt(), g1, "aktiverStreckenAbschnitt", null, 0, 1, AlternativeStreckenAbschnitteContainer.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

    addEOperation(alternativeStreckenAbschnitteContainerEClass, ecorePackage.getEDoubleObject(), "computeLaenge", 0, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(streckeEClass, Strecke.class, "Strecke", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getStrecke_Richtung(), theSystemobjektePackage.getDaVAttTmcRichtung(), "richtung", null, 1, 1, Strecke.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    addEOperation(streckeEClass, theSystemobjektePackage.getDaVStrasse(), "getStrasse", 0, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(streckeEClass, null, "setStrasse", 1, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, theSystemobjektePackage.getDaVStrasse(), "strasse", 1, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(streckeEClass, ecorePackage.getEDoubleObject(), "computeLaenge", 0, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(streckeEClass, this.getStreckenZug(), "getStreckenZug", 0, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(streckeEClass, ecorePackage.getEString(), "getName", 1, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(streckeEClass, ecorePackage.getEInt(), "compareTo", 0, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, this.getStrecke(), "o", 0, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(streckeEClass, ecorePackage.getEBoolean(), "equals", 1, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, ecorePackage.getEJavaObject(), "obj", 0, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(streckeEClass, ecorePackage.getEInt(), "hashCode", 0, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(systemObjektContainerEClass, SystemObjektContainer.class, "SystemObjektContainer", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    g1 = createEGenericType(systemObjektContainerEClass_T);
    initEAttribute(getSystemObjektContainer_ModellObjekt(), g1, "modellObjekt", null, 1, 1, SystemObjektContainer.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    addEOperation(systemObjektContainerEClass, ecorePackage.getEString(), "getName", 1, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(systemObjektContainerEClass, null, "setName", 0, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, ecorePackage.getEString(), "neuerName", 0, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(stoerfallIndikatorContainerEClass, StoerfallIndikatorContainer.class, "StoerfallIndikatorContainer", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(streckenEintragEClass, StreckenEintrag.class, "StreckenEintrag", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    op = addEOperation(streckenEintragEClass, null, "getStreckenEintraegeContainer", 0, 1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(this.getStreckenEintraegeContainer());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEOperation(op, g1);

    op = addEOperation(streckenEintragEClass, null, "setStreckenEintraegeContainer", 0, 1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(this.getStreckenEintraegeContainer());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    addEParameter(op, g1, "container", 1, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(streckenKnotenEClass, StreckenKnoten.class, "StreckenKnoten", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getStreckenKnoten_VonStrecke(), this.getStreckenAbschnitt(), this.getStreckenAbschnitt_NachKnoten(), "vonStrecke", null, 0, 1, StreckenKnoten.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getStreckenKnoten_NachStrecke(), this.getStreckenAbschnitt(), this.getStreckenAbschnitt_VonKnoten(), "nachStrecke", null, 0, 1, StreckenKnoten.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    addEOperation(streckenKnotenEClass, theSystemobjektePackage.getDaVStrassenKnoten(), "getStrassenKnoten", 1, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(streckenKnotenEClass, null, "setStrassenKnoten", 1, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, theSystemobjektePackage.getDaVStrassenKnoten(), "strassenKnoten", 1, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(streckenKnotenEClass, this.getInnererStreckenAbschnitt(), "getInnereStreckenAbschnitte", 0, -1, IS_UNIQUE, IS_ORDERED);

    addEOperation(streckenKnotenEClass, this.getInnererStreckenAbschnitt(), "getAktiverStreckenAbschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(streckenKnotenEClass, null, "setAktiverStreckenAbschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, this.getInnererStreckenAbschnitt(), "newValue", 1, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(streckenAbschnittEClass, StreckenAbschnitt.class, "StreckenAbschnitt", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getStreckenAbschnitt_NachKnoten(), this.getStreckenKnoten(), this.getStreckenKnoten_VonStrecke(), "nachKnoten", null, 0, 1, StreckenAbschnitt.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getStreckenAbschnitt_VonKnoten(), this.getStreckenKnoten(), this.getStreckenKnoten_NachStrecke(), "vonKnoten", null, 0, 1, StreckenAbschnitt.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getStreckenAbschnitt_StreckenTeilAbschnitt(), this.getStreckenTeilAbschnitt(), null, "streckenTeilAbschnitt", null, 0, -1, StreckenAbschnitt.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getStreckenAbschnitt_AnzeigeQuerschnitt(), this.getAnzeigeQuerschnitt(), null, "anzeigeQuerschnitt", null, 0, -1, StreckenAbschnitt.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    op = addEOperation(streckenAbschnittEClass, null, "getAktiverStreckenAbschnitt", 0, 1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(this.getRealerStreckenAbschnitt());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    g3 = createEGenericType(theSystemobjektePackage.getDaVStrassenSegment());
    g2.setEUpperBound(g3);
    initEOperation(op, g1);

    initEClass(alternativeStreckenAbschnitteEClass, AlternativeStreckenAbschnitte.class, "AlternativeStreckenAbschnitte", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    addEOperation(alternativeStreckenAbschnitteEClass, ecorePackage.getEString(), "getName", 1, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(alternativeStreckenAbschnitteEClass, this.getAeussererStreckenAbschnitt(), "getAktiverStreckenAbschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(alternativeStreckenAbschnitteEClass, null, "setAktiverStreckenAbschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, this.getAeussererStreckenAbschnitt(), "newValue", 1, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(realerStreckenAbschnittEClass, RealerStreckenAbschnitt.class, "RealerStreckenAbschnitt", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    op = addEOperation(realerStreckenAbschnittEClass, null, "getStrassenSegment", 1, 1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(realerStreckenAbschnittEClass_T);
    initEOperation(op, g1);

    op = addEOperation(realerStreckenAbschnittEClass, null, "setStrassenSegment", 1, 1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(realerStreckenAbschnittEClass_T);
    addEParameter(op, g1, "strassenSegment", 1, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(realerStreckenAbschnittEClass, ecorePackage.getEDoubleObject(), "computeLaenge", 0, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(realerStreckenAbschnittEClass, this.getMessQuerschnitt(), "getMessQuerschnitte", 0, -1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(realerStreckenAbschnittEClass, null, "getAktiverStreckenAbschnitt", 0, 1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(this.getRealerStreckenAbschnitt());
    g2 = createEGenericType(realerStreckenAbschnittEClass_T);
    g1.getETypeArguments().add(g2);
    initEOperation(op, g1);

    initEClass(aeussererStreckenAbschnittEClass, AeussererStreckenAbschnitt.class, "AeussererStreckenAbschnitt", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(innererStreckenAbschnittEClass, InnererStreckenAbschnitt.class, "InnererStreckenAbschnitt", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(messQuerschnittEClass, MessQuerschnitt.class, "MessQuerschnitt", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    addEOperation(messQuerschnittEClass, theSystemobjektePackage.getDaVMessQuerschnittAllgemein(), "getMessQuerschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(messQuerschnittEClass, null, "setMessQuerschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);
    addEParameter(op, theSystemobjektePackage.getDaVMessQuerschnittAllgemein(), "messQuerschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);

    addEOperation(messQuerschnittEClass, ecorePackage.getEDoubleObject(), "computeLaenge", 0, 1, IS_UNIQUE, IS_ORDERED);

    op = addEOperation(messQuerschnittEClass, null, "getStreckenAbschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(this.getRealerStreckenAbschnitt());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    initEOperation(op, g1);

    op = addEOperation(messQuerschnittEClass, null, "setStreckenAbschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);
    g1 = createEGenericType(this.getRealerStreckenAbschnitt());
    g2 = createEGenericType();
    g1.getETypeArguments().add(g2);
    addEParameter(op, g1, "abschnitt", 1, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(streckenTeilAbschnittEClass, StreckenTeilAbschnitt.class, "StreckenTeilAbschnitt", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    addEOperation(streckenTeilAbschnittEClass, ecorePackage.getEDoubleObject(), "computeLaenge", 0, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(anzeigeQuerschnittEClass, AnzeigeQuerschnitt.class, "AnzeigeQuerschnitt", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    addEOperation(anzeigeQuerschnittEClass, ecorePackage.getEDoubleObject(), "computeLaenge", 0, 1, IS_UNIQUE, IS_ORDERED);

    initEClass(linienEigenschaftenEClass, LinienEigenschaften.class, "LinienEigenschaften", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getLinienEigenschaften_LineStyle(), theAttributePackage.getLineStyle(), "lineStyle", null, 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getLinienEigenschaften_LineThickness(), this.getLinienDicke(), "lineThickness", "", 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getLinienEigenschaften_TypDatenQuelle(), this.getTypDatenQuellen(), "typDatenQuelle", null, 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getLinienEigenschaften_TypVerkehrsDaten(), this.getTypVerkehrsDaten(), "typVerkehrsDaten", null, 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getLinienEigenschaften_SeriesType(), this.getSeriesType(), "seriesType", null, 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getLinienEigenschaften_Rgb(), this.getRGB(), "rgb", null, 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getLinienEigenschaften_Visible(), ecorePackage.getEBoolean(), "visible", "true", 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getLinienEigenschaften_KnotenArt(), theAttributePackage.getMarkerType(), "knotenArt", null, 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getLinienEigenschaften_KnotenFarbe(), this.getRGB(), "knotenFarbe", null, 0, 1, LinienEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(diagrammEigenschaftenEClass, DiagrammEigenschaften.class, "DiagrammEigenschaften", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getDiagrammEigenschaften_TypPrognoseTyp(), this.getTypPrognoseTyp(), "typPrognoseTyp", "Analyse", 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getDiagrammEigenschaften_XAxisType(), this.getAchsenBeschreibung(), null, "XAxisType", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getDiagrammEigenschaften_YAxisTypAnzahl(), this.getAchsenBeschreibung(), null, "YAxisTypAnzahl", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getDiagrammEigenschaften_YAxisTypeGeschwindigkeit(), this.getAchsenBeschreibung(), null, "YAxisTypeGeschwindigkeit", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getDiagrammEigenschaften_YAxisBemessungsverkehrsstaerke(), this.getAchsenBeschreibung(), null, "YAxisBemessungsverkehrsstaerke", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getDiagrammEigenschaften_YAxisBemessungsverkehrsdichte(), this.getAchsenBeschreibung(), null, "YAxisBemessungsverkehrsdichte", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getDiagrammEigenschaften_YAxisFahrezeugdichte(), this.getAchsenBeschreibung(), null, "YAxisFahrezeugdichte", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEReference(getDiagrammEigenschaften_YAxisLKWAnteil(), this.getAchsenBeschreibung(), null, "yAxisLKWAnteil", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDiagrammEigenschaften_GeschwindigkeitsLimitLinieStat(), ecorePackage.getEBoolean(), "GeschwindigkeitsLimitLinieStat", "false", 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDiagrammEigenschaften_GeschwindigkeitsLimitIcons(), ecorePackage.getEBoolean(), "GeschwindigkeitsLimitIcons", "false", 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDiagrammEigenschaften_AnzeigeQuerschnitteIcons(), ecorePackage.getEBoolean(), "AnzeigeQuerschnitteIcons", "false", 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDiagrammEigenschaften_HistorieStartZeitpunkt(), this.getDate(), "historieStartZeitpunkt", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDiagrammEigenschaften_HistorieEndZeitpunkt(), this.getDate(), "historieEndZeitpunkt", null, 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDiagrammEigenschaften_SkalierungXAchse(), ecorePackage.getEFloat(), "skalierungXAchse", "700", 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getDiagrammEigenschaften_TypObjektBezeichnung(), this.getTypObjektBezeichnung(), "typObjektBezeichnung", "Analyse", 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
    initEAttribute(getDiagrammEigenschaften_GeschwindigkeitsLimitLinieDyn(), ecorePackage.getEBoolean(), "GeschwindigkeitsLimitLinieDyn", "false", 0, 1, DiagrammEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(achsenBeschreibungEClass, AchsenBeschreibung.class, "AchsenBeschreibung", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAchsenBeschreibung_AchsenTyp(), theAttributePackage.getAxisType(), "achsenTyp", "AxisType.LINEAR_LITERAL", 0, 1, AchsenBeschreibung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAchsenBeschreibung_Minimum(), ecorePackage.getEDouble(), "Minimum", "0", 0, 1, AchsenBeschreibung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAchsenBeschreibung_Maximum(), ecorePackage.getEDouble(), "Maximum", "100", 0, 1, AchsenBeschreibung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAchsenBeschreibung_AutomatischerWerteBereich(), ecorePackage.getEBoolean(), "AutomatischerWerteBereich", "true", 0, 1, AchsenBeschreibung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAchsenBeschreibung_Achsenposition(), theAttributePackage.getPosition(), "achsenposition", "Left", 0, 1, AchsenBeschreibung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAchsenBeschreibung_Hilfslinien(), ecorePackage.getEBoolean(), "hilfslinien", "false", 0, 1, AchsenBeschreibung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
    initEAttribute(getAchsenBeschreibung_Schritte(), ecorePackage.getEInt(), "schritte", "0", 0, 1, AchsenBeschreibung.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(kilometrierungJavaNumberFormatSpecifierEClass, KilometrierungJavaNumberFormatSpecifier.class, "KilometrierungJavaNumberFormatSpecifier", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

    initEClass(messquerschnittNameFormatSpecifierEClass, MessquerschnittNameFormatSpecifier.class, "MessquerschnittNameFormatSpecifier", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEReference(getMessquerschnittNameFormatSpecifier_Streckenprofil(), this.getStreckenprofilEditorModel(), null, "streckenprofil", null, 0, 1, MessquerschnittNameFormatSpecifier.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    initEClass(anzeigeEigenschaftenEClass, AnzeigeEigenschaften.class, "AnzeigeEigenschaften", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
    initEAttribute(getAnzeigeEigenschaften_AnzeigeType(), this.getTypAnzeigen(), "anzeigeType", null, 0, -1, AnzeigeEigenschaften.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

    // Initialize enums and add enum literals
    initEEnum(activationStateEEnum, ActivationState.class, "ActivationState");
    addEEnumLiteral(activationStateEEnum, ActivationState.INACTIVE);
    addEEnumLiteral(activationStateEEnum, ActivationState.SEMI_ACTIVE);
    addEEnumLiteral(activationStateEEnum, ActivationState.ACTIVE);

    initEEnum(seriesTypeEEnum, SeriesType.class, "SeriesType");
    addEEnumLiteral(seriesTypeEEnum, SeriesType.LINE);
    addEEnumLiteral(seriesTypeEEnum, SeriesType.BAR);
    addEEnumLiteral(seriesTypeEEnum, SeriesType.BAR_STACKED);

    initEEnum(linienDickeEEnum, LinienDicke.class, "LinienDicke");
    addEEnumLiteral(linienDickeEEnum, LinienDicke.THIN);
    addEEnumLiteral(linienDickeEEnum, LinienDicke.NORMAL);
    addEEnumLiteral(linienDickeEEnum, LinienDicke.THICK);
    addEEnumLiteral(linienDickeEEnum, LinienDicke.THICKER);

    initEEnum(typDatenQuellenEEnum, TypDatenQuellen.class, "TypDatenQuellen");
    addEEnumLiteral(typDatenQuellenEEnum, TypDatenQuellen.MQ);
    addEEnumLiteral(typDatenQuellenEEnum, TypDatenQuellen.HFS);
    addEEnumLiteral(typDatenQuellenEEnum, TypDatenQuellen.UEFS1);
    addEEnumLiteral(typDatenQuellenEEnum, TypDatenQuellen.UEFS2);
    addEEnumLiteral(typDatenQuellenEEnum, TypDatenQuellen.UEFS3);
    addEEnumLiteral(typDatenQuellenEEnum, TypDatenQuellen.UEFS4);
    addEEnumLiteral(typDatenQuellenEEnum, TypDatenQuellen.UEFS5);
    addEEnumLiteral(typDatenQuellenEEnum, TypDatenQuellen.UEFS6);

    initEEnum(typVerkehrsDatenEEnum, TypVerkehrsDaten.class, "TypVerkehrsDaten");
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.QKFZ);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.QPKW);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.QLKW);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.VKFZ);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.VPKW);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.VLKW);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.ALKW);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.KKFZ);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.KLKW);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.KPKW);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.QB);
    addEEnumLiteral(typVerkehrsDatenEEnum, TypVerkehrsDaten.KB);

    initEEnum(typPrognoseTypEEnum, TypPrognoseTyp.class, "TypPrognoseTyp");
    addEEnumLiteral(typPrognoseTypEEnum, TypPrognoseTyp.FLINK_GEGLAETTET);
    addEEnumLiteral(typPrognoseTypEEnum, TypPrognoseTyp.NORMAL_GEGLAETTET);
    addEEnumLiteral(typPrognoseTypEEnum, TypPrognoseTyp.TRAEGE_GEGLAETTET);
    addEEnumLiteral(typPrognoseTypEEnum, TypPrognoseTyp.FLINK_EXTRA_POLATION);
    addEEnumLiteral(typPrognoseTypEEnum, TypPrognoseTyp.NORMAL_EXTRA_POLATION);
    addEEnumLiteral(typPrognoseTypEEnum, TypPrognoseTyp.TRAEGE_EXTRA_POLATION);
    addEEnumLiteral(typPrognoseTypEEnum, TypPrognoseTyp.ANALYSE);

    initEEnum(typAnzeigenEEnum, TypAnzeigen.class, "TypAnzeigen");
    addEEnumLiteral(typAnzeigenEEnum, TypAnzeigen.TYP_A);
    addEEnumLiteral(typAnzeigenEEnum, TypAnzeigen.TYP_B);
    addEEnumLiteral(typAnzeigenEEnum, TypAnzeigen.TYP_C);

    initEEnum(typObjektBezeichnungEEnum, TypObjektBezeichnung.class, "TypObjektBezeichnung");
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.NAME);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.KEINE);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX0);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX1);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX2);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX3);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX4);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX5);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX6);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX7);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX8);
    addEEnumLiteral(typObjektBezeichnungEEnum, TypObjektBezeichnung.INDEX9);

    // Initialize data types
    initEDataType(rgbEDataType, org.eclipse.swt.graphics.RGB.class, "RGB", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
    initEDataType(dateEDataType, Date.class, "Date", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);

    // Create resource
    createResource(eNS_URI);
  }

} // StreckenprofilPackageImpl
