/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.ursacheneinheit.attributgruppen;

import java.util.ArrayList;
import java.util.List;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.dav.daf.main.ResultData;
import de.bsvrz.dav.daf.main.Data.Array;
import de.bsvrz.dav.daf.main.Data.ReferenceValue;
import de.bsvrz.dav.daf.main.config.SystemObject;

public class MQZuordnung
{
  /**
   * Pid der Attributgruppe
   */
  public static final String _pidAtg = "atg.sswSbaUeMqZuordnung";

  /**
   * Liste mit den angewhlen Messquerschnitten
   */
  private List<SystemObject> _objekte = new ArrayList<SystemObject>();
  
  /**
   * Methode zum Auswerten der Daten vom DaV
   * @param resultData
   */
  public void auswerteAttributgruppe (ResultData resultData)
  {
  	_objekte.clear();
  		
	  if ( resultData != null)
	  {
	    if ( resultData.hasData() )
	    {
	    	Data data = resultData.getData();
	    	
	      Array array = data.getArray( "MessQuerschnitt" );
	      for (int k = 0; k < array.getLength(); k++)
	      {
	        ReferenceValue rV = array.getReferenceValue( k );
	        if ( rV != null )
	        	_objekte.add(rV.getSystemObject());
	      }
	    }
	  }
  }
}
