/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.buv.plugin.ursacheneinheit.verwaltung;

/**
 * Klasse beschreibt die Typen von Ursacheneinheiten die in diesem Plugin nicht parametriert werden
 * @author ObertM
 */
public class NichtZuBetrachtendeUrsachenEinheiten
{
	/**
	 * Pids der Ursacheneinheite, die in diesem Plugin nicht betrcksichtigt werden
	 */
   private static String [] _pidUrsachenEinheiten = new String [] 
   {
  	 "typ.sswSbaUeSonderUndHandprogramme", 
  	 "typ.sswSbaUeSonderprogramm"
   };

	/**
   * Methode liefert _pidUrsachenEinheiten zurck
   * @return _pidUrsachenEinheiten
   */
  public static String[] getPidUrsachenEinheiten()
  {
  	return _pidUrsachenEinheiten;
  }

	/**
   * Methode setzt die Variable _pidUrsachenEinheiten
   * @param pidUrsachenEinheiten zu bernehmender Wert fr _pidUrsachenEinheiten
   */
  public static void setPidUrsachenEinheiten(String[] pidUrsachenEinheiten)
  {
  	_pidUrsachenEinheiten = pidUrsachenEinheiten;
  }
}
