package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.laengsquerabgleich.zusammenfassungEnde;

import java.util.Observable;
import java.util.Observer;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Spinner;

/**
 * Tabellen Modell fr die Parameter "Zusammenfassung Ende"
 * @author ObertM
 *
 */
public class TableModel extends Observable implements Observer
{
	/**
	 * Merker zum Lschen der Zeile
	 */
	private Composite _loeschen;
	
	/**
	 * Schaltgrund
	 */
  private Composite _schaltgrund;
  
  /**
   * Parameter mgliche Inhalte Typ A
   */
  private Composite _moeglicheInhalteA;

  /**
   * Parameter mgliche Inhalte Typ B
   */
  private Composite _moeglicheInhalteB;
  
  /**
   * Parameter zu schaltender Inhalt Typ A mit Prio
   */
  private Composite _zuSchaltenA;

  /**
   * Parameter zu schaltender Inhalt Typ B mit Prio
   */
  private Composite _zuSchaltenB;

  /**
   * Konstruktor der Klasse
   * @param loeschen Lschen 
   * @param schaltgrund Schaltgrund fr die Regel
   * @param moeglicheInhalteA mgliche Inhalte Typ A 
   * @param moeglicheInhalteB mgliche Inhalte Typ B
   * @param zuSchaltenA zu schaltender Inhalt Typ A mit Prio
   * @param zuSchaltenB zu schaltender Inhalt Typ B mit Prio
   */
  public TableModel(Composite loeschen, 
  		              Composite schaltgrund, 
                    Composite moeglicheInhalteA, 
                    Composite moeglicheInhalteB,
                    Composite zuSchaltenA,
                    Composite zuSchaltenB)
  {
  	this._loeschen = loeschen;
    this._schaltgrund = schaltgrund;
    this._moeglicheInhalteA = moeglicheInhalteA;
    this._moeglicheInhalteB = moeglicheInhalteB;
    this._zuSchaltenA = zuSchaltenA;
    this._zuSchaltenB = zuSchaltenB;
  }

  /**
   * Methode liefert den eingestellten Wert des Composite Lschen
   * @return eingestellter Wert
   */
  public String getSelectedLoeschen()
  {
    return getSelectedWert(_loeschen);    
  }

  /**
   * Methode liefert den eingestellten Wert des Composite Schaltgrund
   * @return eingestellter Wert
   */
  public String getSelectedSchaltgrund ()
  {
    return getSelectedWert(_schaltgrund);    
  }

  /**
   * Methode liefert die eingestellten Werte des Composite _moeglicheInhalteA 
   * @return eingestellte Werte
   */
  public String[] getSelectedMoeglicheInhalteA ()
  {
  	Control[] controls = _moeglicheInhalteA.getChildren();
  	String [] selected = new String [controls.length];
  	
  	for (int i=0; i<controls.length; ++i)
  	  selected [i] = getSelectedWert(controls [i]);
  	
    return selected;    
  }

  /**
   * Methode liefert die eingestellten Werte des Composite _moeglicheInhalteB 
   * @return eingestellte Werte
   */
  public String[] getSelectedMoeglicheInhalteB ()
  {
  	Control[] controls = _moeglicheInhalteB.getChildren();
  	String [] selected = new String [controls.length];
  	
  	for (int i=0; i<controls.length; ++i)
  	  selected [i] = getSelectedWert(controls [i]);
  	
    return selected;    
  }

  /**
   * Methode liefert die eingestellten Werte des Composite _zuSchaltenA 
   * @return eingestellte Werte
   */
  public String[] getSelectedZuSchaltenA ()
  {
  	Control[] controls = _zuSchaltenA.getChildren();
  	String [] selected = new String [controls.length];
  	
  	for (int i=0; i<controls.length; ++i)
  	  selected [i] = getSelectedWert(controls [i]);
  	
    return selected;    
  }

  /**
   * Methode liefert die eingestellten Werte des Composite _zuSchaltenB 
   * @return eingestellte Werte
   */
  public String[] getSelectedZuSchaltenB ()
  {
  	Control[] controls = _zuSchaltenB.getChildren();
  	String [] selected = new String [controls.length];
  	
  	for (int i=0; i<controls.length; ++i)
  	  selected [i] = getSelectedWert(controls [i]);
  	
    return selected;    
  }

  /**
   * Methode setzt den Wert des Compiste Lschen
   * @param selWert zu setzender Wert
   */
  public void setSelectedLoeschen(String selWert)
  {
    setSelectedWert(_loeschen, selWert, null);
  }

  /**
   * Methode setzt den Wert des Compiste Lschen
   * @param selWert zu setzender Wert
   */
  public void setSelectedSchaltgrund(String selWert)
  {
    setSelectedWert(_schaltgrund, selWert, null);
  }

  /**
   * Methode setzt die Werte des Compiste _moeglicheInhalteA
   * @param selWert zu setzender Wert
   */
  public void setSelectedMoeglicheInhalteA (Image[] selImage)
  {
  	Control[] controls = _moeglicheInhalteA.getChildren();
  	
  	for (int i=0; i<controls.length; ++i)
  	  setSelectedWert (controls [i], null, selImage [i]);
  }

  /**
   * Methode setzt die Werte des Compiste _moeglicheInhalteB
   * @param selWert zu setzender Wert
   */
  public void setSelectedMoeglicheInhalteB (Image[] selImage)
  {
  	Control[] controls = _moeglicheInhalteB.getChildren();
  	
  	for (int i=0; i<controls.length; ++i)
  	  setSelectedWert (controls [i], null, selImage [i]);
  }

  /**
   * Methode setzt die Werte des Compiste _zuSchaltenA
   * @param selWert zu setzender Wert
   */
  public void setSelectedZuSchaltenA (Image selImage, int prio)
  {
  	Control[] controls = _zuSchaltenA.getChildren();
  	
  	setSelectedWert (controls [0], null, selImage);
  	setSelectedWert (controls [1], "" + prio, null);
  }

  /**
   * Methode setzt die Werte des Compiste _zuSchaltenB
   * @param selWert zu setzender Wert
   */
  public void setSelectedZuSchaltenB (Image selImage, int prio)
  {
  	Control[] controls = _zuSchaltenB.getChildren();
  	
  	setSelectedWert (controls [0], null, selImage);
  	setSelectedWert (controls [1], "" + prio, null);
  }

  /**
   * Methode liefert den eingestellten Wert des ersten Control Elements eines Composite
   * als String zurck.
   * @param c Composite
   * @return Wert als String
   */
  public String getSelectedWert(Composite c)
  {
  	Control control = c.getChildren()[0];

  	return getSelectedWert(control);
  }

  /**
   * Methode liefert den eingestellten Wert eines Control Elements 
   * als String zurck.
   * @param control Control Element
   * @return Wert als String
   */
  public String getSelectedWert(Control control)
  {
    if ( control instanceof Spinner )
    {
      Spinner sp = (Spinner)control;
      int spSel = sp.getSelection();
      return String.valueOf(spSel);
    }
    else if ( control instanceof Combo )
    {
      Combo cb = (Combo)control;
      String cbSel = cb.getItem( cb.getSelectionIndex() );
      return cbSel;
    }
    else if ( control instanceof Button )
    {
      if ( (control.getStyle() & SWT.CHECK) != 0 )
      {
        Button ch = (Button)control;
        boolean chSel = ch.getSelection();
        return String.valueOf(chSel);
      }
      else
        return "";
    }
    else if ( control instanceof Label )
    {
      Label im = (Label)control;
      String imSel = (String)im.getData();
      return imSel;
    }
    else
      return "";
  }

  /**
   * Methode setzt den Wert des ersten Control Elements eines Composite
   * @param c Composite
   */
  public void setSelectedWert(Composite c, String selWert, Image selImage)
  {
    Control control = c.getChildren()[0];

    setSelectedWert(control, selWert, selImage);
  }

  /**
   * Methode setzt den Wert eines Control Elements eines Composite
   * @param c Composite
   */
  public void setSelectedWert(Control control, String selWert, Image selImage)
  {
    if ( control instanceof Spinner )
    {
      Spinner sp = (Spinner)control;
      try
      {
        sp.setSelection(Integer.valueOf( selWert ));
      }
      catch (NumberFormatException e)
      {
        e.printStackTrace();
      }
    }
    else if ( control instanceof Combo )
    {
      Combo cb = (Combo)control;
      for (int k = 0; k < cb.getItemCount(); k++)
      {
        if (selWert.equals(cb.getItem( k )))
          cb.select(k);      
      }
    }
    else if ( control instanceof Button )
    {
      if ( (control.getStyle() & SWT.CHECK) != 0 )
      {
        Button ch = (Button)control;
        ch.setSelection( Boolean.valueOf( selWert ) );
      }
    }
    else if ( control instanceof Label )
    {
        Label im = (Label)control;
        im.setData( selWert );
        im.setImage( selImage ); 
    }
  }

  @Override
  public void update(Observable o, Object arg)
  {
    fireEvent();
  }

  public void fireEvent()
  {
    setChanged();
    notifyObservers();
  }

	/**
   * Methode liefert loeschen zurck
   * @return loeschen
   */
  public Composite getLoeschen()
  {
  	return _loeschen;
  }

	/**
   * Methode setzt die Variable loeschen
   * @param loeschen zu bernehmender Wert fr loeschen
   */
  public void setLoeschen(Composite loeschen)
  {
  	_loeschen = loeschen;
  }

	/**
   * Methode liefert schaltgrund zurck
   * @return schaltgrund
   */
  public Composite getSchaltgrund()
  {
  	return _schaltgrund;
  }

	/**
   * Methode setzt die Variable schaltgrund
   * @param schaltgrund zu bernehmender Wert fr schaltgrund
   */
  public void setSchaltgrund(Composite schaltgrund)
  {
  	_schaltgrund = schaltgrund;
  }

	/**
   * Methode liefert moeglicheInhalteA zurck
   * @return moeglicheInhalteA
   */
  public Composite getMoeglicheInhalteA()
  {
  	return _moeglicheInhalteA;
  }

	/**
   * Methode setzt die Variable moeglicheInhalteA
   * @param moeglicheInhalteA zu bernehmender Wert fr moeglicheInhalteA
   */
  public void setMoeglicheInhalteA(Composite moeglicheInhalteA)
  {
  	_moeglicheInhalteA = moeglicheInhalteA;
  }

	/**
   * Methode liefert moeglicheInhalteB zurck
   * @return moeglicheInhalteB
   */
  public Composite getMoeglicheInhalteB()
  {
  	return _moeglicheInhalteB;
  }

	/**
   * Methode setzt die Variable moeglicheInhalteB
   * @param moeglicheInhalteB zu bernehmender Wert fr moeglicheInhalteB
   */
  public void setMoeglicheInhalteB(Composite moeglicheInhalteB)
  {
  	_moeglicheInhalteB = moeglicheInhalteB;
  }

	/**
   * Methode liefert zuSchaltenA zurck
   * @return zuSchaltenA
   */
  public Composite getZuSchaltenA()
  {
  	return _zuSchaltenA;
  }

	/**
   * Methode setzt die Variable zuSchaltenA
   * @param zuSchaltenA zu bernehmender Wert fr zuSchaltenA
   */
  public void setZuSchaltenA(Composite zuSchaltenA)
  {
  	_zuSchaltenA = zuSchaltenA;
  }

	/**
   * Methode liefert zuSchaltenB zurck
   * @return zuSchaltenB
   */
  public Composite getZuSchaltenB()
  {
  	return _zuSchaltenB;
  }

	/**
   * Methode setzt die Variable zuSchaltenB
   * @param zuSchaltenB zu bernehmender Wert fr zuSchaltenB
   */
  public void setZuSchaltenB(Composite zuSchaltenB)
  {
  	_zuSchaltenB = zuSchaltenB;
  }
}
