package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.steuerungskern;

import java.util.Vector;

/**
 * Klasse speichert einen Parametersatz "Zeitraster"
 * @author ObertM
 */
public class ParaZeitraster
{
	/**
	 * Instanzen fr die der Wert gilt
	 */
  private Vector<String> _instanzen = new Vector<String>();
  
  /**
   * Zeitraster in dem der Steuerungskern zyklisch ausgefhrt wird
   */
  private long _zeitraster;
  
  /**
   * Offset relativ zur Systemzeit in Millisekunden
   */
  private long _offset;
  
  /**
   * Konstruktor der Klasse
   * @param instanzen Instanzen fr die der Parameter gilt
   * @param anzIterationen Anzahl Iterationen
   */
  public ParaZeitraster (Vector<String> instanzen, long zeitraster, long offset)
  {
    _instanzen = instanzen;
    
    _zeitraster = zeitraster;
    
    _offset = offset;
  }

  /**
   * Konstruktor der Klasse
   * @param instanz Instanz fr die der Parameter gilt
   * @param anzIterationen Anzahl Iterationen
   */
	public ParaZeitraster(String instanz, long zeitraster, long offset)
  {
		_instanzen.add(instanz);

    _zeitraster = zeitraster;
    
    _offset = offset;
  }

	/**
	 * Parameterloser Konstruktor der Klasse
	 */
	public ParaZeitraster()
  {
  }

	/**
   * Methode liefert instanzen zurck
   * @return instanzen
   */
  public Vector<String> getInstanzen()
  {
  	return _instanzen;
  }

	/**
   * Methode setzt die Variable instanzen
   * @param instanzen zu bernehmender Wert fr instanzen
   */
  public void setInstanzen(Vector<String> instanzen)
  {
  	_instanzen = instanzen;
  }

	/**
   * Methode liefert zeitraster zurck
   * @return zeitraster
   */
  public long getZeitraster()
  {
  	return _zeitraster;
  }

	/**
   * Methode setzt die Variable zeitraster
   * @param zeitraster zu bernehmender Wert fr zeitraster
   */
  public void setZeitraster(long zeitraster)
  {
  	_zeitraster = zeitraster;
  }

	/**
   * Methode liefert offset zurck
   * @return offset
   */
  public long getOffset()
  {
  	return _offset;
  }

	/**
   * Methode setzt die Variable offset
   * @param offset zu bernehmender Wert fr offset
   */
  public void setOffset(long offset)
  {
  	_offset = offset;
  }

}
