package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verriegelung.spezielleVerriegelungsMatrix;

import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.swt.widgets.Composite;

import de.bsvrz.sba.plugin.parameter.steuerungskern.konfig.VerwaltungAnzeigeTypen;
import de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verriegelung.allgemein.Design;
import de.bsvrz.sba.plugin.parameter.steuerungskern.projektspezifischeEinstellungen.EAnzeigeQuerschnittTyp;

/**
 * Darstellung des Fensters zur Versorgung der Parameter
 */
public class CompositeParameterSpezielleVerriegelungsMatrix extends Composite
{
	/**
	 * Aktuelles Composite
	 */
  private Composite _composite;
  
	private EAnzeigeQuerschnittTyp _anzeigeQuerschnittTyp;

  /**
   * Konstruktor der Klasse
   * @param parent Parent Composite
   * @param style Stil des Fenstern
   * @param aktuell Aktuelle Parameter
   * @param typ Typ des Anzeigequerschnitts
   */
  CompositeParameterSpezielleVerriegelungsMatrix (Composite parent, int style, ListeMitRegeln aktuell, String pidAnzeigeQuerschnitt)
  {
    super (parent, style);

    _anzeigeQuerschnittTyp = VerwaltungAnzeigeTypen.getInstance().getTyp(pidAnzeigeQuerschnitt);
    
    Design design = _anzeigeQuerschnittTyp.getDesignVM();
    
    _composite = new CompositeSVM(parent, style, aktuell, pidAnzeigeQuerschnitt, design);
  }
  
  /**
   * Methode liefert die Anzahl der Parameter
   * @return Anzahl der Parameter
   */
  public int getAnzahlParameter()
  {
  	return ((ICompositeParameterSpezielleVerriegelungsMatrix) _composite).getAnzahlParameter();
  }
  
  /**
   * Methode liefert den Tabelviewer
   * @return
   */
  public TableViewer getTvAnzeige()
  {
    return ((ICompositeParameterSpezielleVerriegelungsMatrix) _composite).getTvAnzeige();
  }

  /**
   * Methode liefert die eingestellten Parameter
   * @return eingestellte Parameter
   */
	public ListeMitRegeln getParameter()
  {
		ICompositeParameterSpezielleVerriegelungsMatrix c = ((ICompositeParameterSpezielleVerriegelungsMatrix) _composite);

    ListeMitRegeln para = null;

		if (c != null)
		{
		  para = c.getParameter();
		  c.aktualisiereFolder();
		}
		
		return para;
  }

	/**
	 * Methode bernimmt die Daten eines anderen Folders
	 * @param tvAnzeige Tableviewer der zu bernhmenden Tabelle
	 */
	public void setTvAnzeige (TableViewer tvAnzeige)
	{
    ((ICompositeParameterSpezielleVerriegelungsMatrix) _composite).setTvAnzeige(tvAnzeige);
	}
	
  /**
   * Methode zum Aktualisieren des Folders
   */
  public void aktualisiereFolder ()
  {
  	((ICompositeParameterSpezielleVerriegelungsMatrix) _composite).aktualisiereFolder();
  }
}
