package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verschiebungen.verschieben;

import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IViewPart;
import org.eclipse.ui.IViewReference;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.internal.WorkbenchPage;

/**
 * Mit Hilfe dieser Klasse lsst sich die {@link ViewParameterVerschieben} 
 * ffnen. Sie wird eindeutig ber die ID der View identifiziert.
 * @author MO
 */
public class OpenViewParameterVerschieben
{
  /**
   * Primre ID des zu ffnenden Views
   */
  private static final String _viewID = ViewParameterVerschieben.ID;

  public static ViewParameterVerschieben openView ()
  {
  	return openView(null);
  }

  public static ViewParameterVerschieben openView (String secId)
  {
  	ViewParameterVerschieben re = null;
    
    IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
    IWorkbenchPage page = window.getActivePage();

    try
    {
      page.showView(_viewID, secId, IWorkbenchPage.VIEW_CREATE);
      IViewReference ref = page.findViewReference(_viewID, secId);

      IViewPart view = ref.getView(true);
      if (view instanceof ViewParameterVerschieben)
      {
        re = (ViewParameterVerschieben) view;
        window.getActivePage().activate(re);
      }
      
//      window.getActivePage().showView(_viewID);

      // in eigenem Fenster ffnen
      
      ((WorkbenchPage)page).getActivePerspective().getPresentation().detachPart(ref);
      
      IWorkbenchPart wbPart = ref.getPart(false);
      Shell shell = wbPart.getSite().getShell();
      
      shell.setSize(1050, 700);
    }
    catch (PartInitException e)
    {
      String msg = "Die ViewAusgabefenster (ID: " + _viewID + ", SecId: " + secId + ") konnte nicht geffnet werden!.";
      
//          e.printStackTrace();
    }
    
    return re;
  }
}
