package de.bsvrz.sba.plugin.parameter.steuerungskern.projektspezifischeEinstellungen;

import de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verriegelung.allgemein.Design;
import de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verriegelung.allgemein.EVA;
import de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verriegelung.allgemein.Spalte;

/**
 * Klasse definiert den Aufbau der unterschiedlichen Brckentypen wie er fr die
 * Verriegelungsmatrix verwendet wird
 * 
 * @author ObertM
 * 
 */
public class SchilderTypenVM
{
	// -------------------------------------------------------------------------------
	// A14
	// -------------------------------------------------------------------------------

	/**
	 * A14 Typ 1
	 */
	public static Design _A14_Typ1 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	// -------------------------------------------------------------------------------
	// A8
	// -------------------------------------------------------------------------------

	/**
	 * A8 Typ 1
	 */
	public static Design _A8_Typ1 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 2
	 */
	public static Design _A8_Typ2 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""),
	    new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 3
	 */
	public static Design _A8_Typ3 = new Design(new Spalte[] { new Spalte(EVA.A,
	    "") });

	/**
	 * A8 Typ 4
	 */
	public static Design _A8_Typ4 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 5
	 */
	public static Design _A8_Typ5 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""),
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 6
	 */
	public static Design _A8_Typ6 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 7
	 */
	public static Design _A8_Typ7 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""),
	    new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 8
	 */
	public static Design _A8_Typ8 = new Design(new Spalte[] { new Spalte(EVA.A,
	    "") });

	/**
	 * A8 Typ 9
	 */
	public static Design _A8_Typ9 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 10
	 */
	public static Design _A8_Typ10 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""),
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 11
	 */
	public static Design _A8_Typ11 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""), new Spalte(EVA.A, "") });
	/**
	 * A8 Typ 12
	 */
	public static Design _A8_Typ12 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),

	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 13
	 */
	public static Design _A8_Typ13 = new Design(new Spalte[] {
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, "") });

	/**
	 * A8 Typ 14
	 */
	public static Design _A8_Typ14 = new Design(new Spalte[] {
	    new Spalte(EVA.T, ""), new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""),
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.AD, ""), new Spalte(EVA.T, "") });

	/**
	 * A8 Typ 15
	 */
	public static Design _A8_Typ15 = new Design(new Spalte[] {
	    new Spalte(EVA.BLINKER_T, ""), new Spalte(EVA.A, ""),
	    new Spalte(EVA.BC, ""), new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""),
	    new Spalte(EVA.A, ""), new Spalte(EVA.BC, ""), new Spalte(EVA.AD, ""),
	    new Spalte(EVA.BLINKER_T, "") });

	// -------------------------------------------------------------------------------
	// B27
	// -------------------------------------------------------------------------------

	/**
	 * B27 Typ 1
	 */
	public static Design _B27_Typ1 = new Design(new Spalte[] {
	    new Spalte(EVA.A, "FS"), new Spalte(EVA.BLINKER_BC, ""),
	    new Spalte(EVA.A, "HFS") });
	/**
	 * B27 Typ 2
	 */
	public static Design _B27_Typ2 = new Design(new Spalte[] {
	    new Spalte(EVA.A, "FS 2"), new Spalte(EVA.BLINKER_BC, ""),
	    new Spalte(EVA.A, "FS 1"), new Spalte(EVA.BLINKER_BC, ""),
	    new Spalte(EVA.A, "HFS") });
	/**
	 * B27 Typ 3
	 */
	public static Design _B27_Typ3 = new Design(new Spalte[] {
	    new Spalte(EVA.A_BLINKER_BC, ""), new Spalte(EVA.A_BLINKER_BC, "") });
	/**
	 * B27 Typ 4
	 */
	public static Design _B27_Typ4 = new Design(new Spalte[] { new Spalte(
	    EVA.A_BLINKER_BC, "") });

	/**
	 * B27 Typ 5
	 */
	public static Design _B27_Typ5 = new Design(new Spalte[] {
	    new Spalte(EVA.A, "FS 2"), new Spalte(EVA.A, "FS 1"),
	    new Spalte(EVA.BLINKER_BC, ""), new Spalte(EVA.A, "HFS") });

	/**
	 * B27 Typ 6
	 */
	public static Design _B27_Typ6 = new Design(new Spalte[] {
	    new Spalte(EVA.A, "FS"), new Spalte(EVA.BLINKER_BC, ""),
	    new Spalte(EVA.A, "HFS"), new Spalte(EVA.A, "Zufahrt") });

	/**
	 * B27 Typ 7
	 */
	public static Design _B27_Typ7 = new Design(new Spalte[] {
	    new Spalte(EVA.A, "FS"), new Spalte(EVA.BLINKER_BC, ""),
	    new Spalte(EVA.A, "HFS"), new Spalte(EVA.A, "Zufahrt"),
	    new Spalte(EVA.BLINKER_BC, "") });
	/**
	 * B27 Typ 8
	 */
	public static Design _B27_Typ8 = new Design(new Spalte[] {
	    new Spalte(EVA.A, "FS"), new Spalte(EVA.BLINKER_BC, ""),
	    new Spalte(EVA.A, "HFS"), new Spalte(EVA.A, "FS"),
	    new Spalte(EVA.BLINKER_BC, ""), new Spalte(EVA.A, "HFS") });

	/**
	 * A2 Typ A/B
	 */
	public static Design _A2_TypAB = new Design(new Spalte[] { new Spalte(
	    EVA.AB, "") });

	/**
	 * A2 Typ A/B/C
	 */
	public static Design _A2_TypABC = new Design(new Spalte[] { new Spalte(
	    EVA.ABC, "") });


}
