/*
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */
package de.bsvrz.sba.plugin.parametereditor.editor;

import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;

import de.bsvrz.buv.rw.rw.dav.DaVVerbindung;

public class CopyOfViewParameterEditorAlt extends ViewPart
{

	public static final String ID = "de.bsvrz.sba.plugin.parametereditor.editor.ViewParameterEditor"; // TODO Needs to be whatever is mentioned in plugin.xml
	private Composite top = null;
	private Composite composite = null;
	private CompositeParameterEditor _editor = null;
	private Composite _compositeKontrolle = null;
	private Button _buttonUebernehmen = null;
	private Button _buttonAbbrechen = null;

	@Override
	public void createPartControl(Composite parent)
	{
		// TODO Auto-generated method stub
		GridLayout gridLayout = new GridLayout();
		gridLayout.numColumns = 1;
		top = new Composite(parent, SWT.NONE);
		createComposite();
		top.setLayout(gridLayout);
		create_compositeKontrolle();
	}

	@Override
	public void setFocus()
	{
		// TODO Auto-generated method stub

	}

	/**
	 * This method initializes composite	
	 *
	 */
	private void createComposite()
	{
		GridData gridData = new GridData();
		gridData.horizontalAlignment = GridData.FILL;
		gridData.grabExcessHorizontalSpace = true;
		gridData.grabExcessVerticalSpace = true;
		gridData.verticalAlignment = GridData.FILL;
//		composite = new Composite(top, SWT.NONE);
//		composite.setLayout(new GridLayout());
//		composite.setLayoutData(gridData);
		_editor = new CompositeParameterEditor(top, SWT.NONE, DaVVerbindung.getInstanz().getDaVVerbindung());
		_editor.setLayoutData(gridData);
	}

	/**
	 * This method initializes _compositeKontrolle	
	 *
	 */
	private void create_compositeKontrolle()
	{
		GridData gridData1 = new GridData();
		gridData1.horizontalAlignment = GridData.END;
		gridData1.verticalAlignment = GridData.CENTER;
		RowLayout rowLayout = new RowLayout();
		rowLayout.pack = false;
		_compositeKontrolle = new Composite(top, SWT.NONE);
		_compositeKontrolle.setLayout(rowLayout);
		_compositeKontrolle.setLayoutData(gridData1);
		_buttonUebernehmen = new Button(_compositeKontrolle, SWT.NONE);
		_buttonUebernehmen.setText("bernehmen");
		_buttonUebernehmen
				.addSelectionListener(new org.eclipse.swt.events.SelectionAdapter()
				{
					public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)
					{
						System.out.println("widgetSelected()"); // TODO Auto-generated Event stub widgetSelected()
					}
				});
		_buttonAbbrechen = new Button(_compositeKontrolle, SWT.NONE);
		_buttonAbbrechen.setText("Abbrechen");
		_buttonAbbrechen
				.addSelectionListener(new org.eclipse.swt.events.SelectionAdapter()
				{
					public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)
					{
						System.out.println("widgetSelected()"); // TODO Auto-generated Event stub widgetSelected()
					}
				});
	}

}
