/*******************************************************************************
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as 
 * published by the Free Software Foundation, either version 3 of the
 * License.
 * 
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * 
 * Copyright (c) 2012 SWARCO TRAFFIC SYSTEMS GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 * 
 * 
 * 
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Strae 
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 ******************************************************************************/
package de.sts.buv.plugin.workflow.tsf.dav;

import java.util.Timer;
import java.util.TimerTask;

import de.sts.buv.plugin.workflow.tsf.PreferenceInit;
import de.sts.buv.plugin.workflow.tsf.dlg.DialogWFAbfrage;

/**
 * Diese Klasse liefert einen Timer, der die Wiederfolage des
 * {@link DialogWFAbfrage} auslst.
 * 
 * @author HofmannJ
 * 
 */
public class WiedervorlageTSFWorkflow
{
	private M_TSFWorkflow _tsfWorkflow = null;

	public WiedervorlageTSFWorkflow(M_TSFWorkflow tsfWorkflow)
	{
		this._tsfWorkflow = tsfWorkflow;
		startTimer();
	}

	public M_TSFWorkflow getTsfWorkflow()
	{
		return _tsfWorkflow;
	}

	private void startTimer()
	{
		if ((getTsfWorkflow() != null) && (getTsfWorkflow().getSo() != null))
		{
			TimerTask task = new TimerTask()
			{

				@Override
				public void run()
				{
					aktionWiedervorlegen();
				}
			};
			Timer timer = new Timer("Timer Wiedervorlage Workflow "
					+ getTsfWorkflow().getSo().getPidOrNameOrId());
			long delayWiedervorlageSchaltempfehlung = PreferenceInit
					.getDelayWiedervorlageSchaltempfehlung() * 1000l;

			timer.schedule(task, delayWiedervorlageSchaltempfehlung);
		}
	}

	private void aktionWiedervorlegen()
	{
		if ((getTsfWorkflow() != null) && (getTsfWorkflow().getSo() != null))
		{

			M_TSFWorkflow wfVorhanden = DaVKomTSFWorkflow.getInstance().getModel()
					.getWorkflow(getTsfWorkflow().getSo());
			if (wfVorhanden != null)
			{
				DaVKomTSFWorkflow.getInstance().getModel().putWorkflow(
						getTsfWorkflow().duplicate());
			}
		}
	}
}
